"use strict";

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.mainIneer = mainIneer, exports.onePage = onePage, exports.digitalPlan = digitalPlan, 
exports.giot = giot, exports.dispatch = dispatch, exports.analysis = analysis, exports.dataAnaysisUrl = dataAnaysisUrl, 
exports.forumUrl = forumUrl, exports.helpCenterUrl = helpCenterUrl;

var _amosTool = require("amos-tool"), endConf = _interopRequireWildcard(require("amos-processor/lib/config/endconf")), _request = require("../utils/request");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var r = new WeakMap, t = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? t : r;
  })(e);
}

function _interopRequireWildcard(e, r) {
  if (!r && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var t = _getRequireWildcardCache(r);
  if (t && t.has(e)) return t.get(e);
  var o = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var a in e) if ("default" !== a && Object.prototype.hasOwnProperty.call(e, a)) {
    var s = n ? Object.getOwnPropertyDescriptor(e, a) : null;
    s && (s.get || s.set) ? Object.defineProperty(o, a, s) : o[a] = e[a];
  }
  return o.default = e, t && t.set(e, o), o;
}

var AmosConfig = endConf.AmosConfig, dataAnalysis = AmosConfig.outterURI.dataAnalysis, mainIneerUrl = AmosConfig.outterURI.mainIneer, onePageUrl = AmosConfig.outterURI.onePage, digitalPlanUrl = AmosConfig.outterURI.digitalPlan, giotUrl = AmosConfig.outterURI.giot, dispatchUrl = AmosConfig.outterURI.dispatch, analysisUrl = AmosConfig.outterURI.analysis, forum = AmosConfig.outterURI.forum, helpCenter = AmosConfig.outterURI.helpCenter;

function mainIneer() {
  return mainIneerUrl;
}

function onePage() {
  return (0, _amosTool.parseText)(onePageUrl, {
    user: (0, _request.getUser)(),
    token: (0, _request.getToken)()
  });
}

function digitalPlan() {
  return (0, _amosTool.parseText)(digitalPlanUrl, {
    user: (0, _request.getUser)(),
    token: (0, _request.getToken)()
  });
}

function giot() {
  return (0, _amosTool.parseText)(giotUrl, {
    user: (0, _request.getUser)(),
    token: (0, _request.getToken)()
  });
}

function dispatch() {
  return (0, _amosTool.parseText)(dispatchUrl, {
    user: (0, _request.getUser)(),
    token: (0, _request.getToken)()
  });
}

function analysis() {
  return (0, _amosTool.parseText)(analysisUrl, {
    user: (0, _request.getUser)(),
    token: (0, _request.getToken)()
  });
}

function dataAnaysisUrl() {
  return dataAnalysis;
}

function forumUrl() {
  return forum;
}

function helpCenterUrl() {
  return helpCenter;
}