"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.addeEditEqpImgAction = exports.updateEquipmentConfigAction = exports.updateEquipmentNameAction = exports.editSubviewAction = exports.editSubviewImgAction = exports.fetchSimpleOrgImgsAction = exports.fetchOrgImgsAction = exports.editOrgImgAction = exports.fetchCompanyById = exports.subviewByOrgCodeAction = exports.fetchSubEgpListAction = exports.subEgpListAction = exports.subViewListAction = void 0;

var _urlFormat = _interopRequireDefault(require("amos-processor/lib/utils/urlFormat")), _urlConsts = _interopRequireDefault(require("../consts/urlConsts")), _request = require("../utils/request"), subViewListAction = function() {
  return (0, _request.commonGet)(_urlConsts.default.fetchSubgraphInfos);
};

exports.subViewListAction = subViewListAction;

var subEgpListAction = function(t) {
  var e = "".concat(_urlConsts.default.fetchSubgraphEquipments, "/").concat(t);
  return (0, _request.commonGet)(e);
};

exports.subEgpListAction = subEgpListAction;

var fetchSubEgpListAction = function(t) {
  var e = "".concat(_urlConsts.default.fetchSingleSubgraphEquipments, "/").concat(t);
  return (0, _request.commonGet)(e);
};

exports.fetchSubEgpListAction = fetchSubEgpListAction;

var subviewByOrgCodeAction = function(t) {
  var e = "".concat(_urlConsts.default.getSubviewByOrgCode, "/").concat(t);
  return (0, _request.commonGet)(e);
};

exports.subviewByOrgCodeAction = subviewByOrgCodeAction;

var fetchCompanyById = function(t) {
  var e = "".concat(_urlConsts.default.fetchCompanyById, "/").concat(t);
  return (0, _request.commonGet)(e);
};

exports.fetchCompanyById = fetchCompanyById;

var editOrgImgAction = function(t) {
  return (0, _request.commonPost)(_urlConsts.default.editOrgImgUrl, t);
};

exports.editOrgImgAction = editOrgImgAction;

var fetchOrgImgsAction = function(t) {
  var e = "".concat(_urlConsts.default.fetchOrgImgs, "/").concat(t);
  return (0, _request.commonGet)(e);
};

exports.fetchOrgImgsAction = fetchOrgImgsAction;

var fetchSimpleOrgImgsAction = function(t) {
  var e = "".concat(_urlConsts.default.fetchSimpleOrgImgs, "/").concat(t);
  return (0, _request.commonGet)(e);
};

exports.fetchSimpleOrgImgsAction = fetchSimpleOrgImgsAction;

var editSubviewImgAction = function(t) {
  return (0, _request.commonPost)(_urlConsts.default.editSubviewImg, t);
};

exports.editSubviewImgAction = editSubviewImgAction;

var editSubviewAction = function(t) {
  return (0, _request.commonPost)(_urlConsts.default.addSubgraph, t);
};

exports.editSubviewAction = editSubviewAction;

var updateEquipmentNameAction = function(t) {
  return (0, _request.commonPost)(_urlConsts.default.updateNodeName, t);
};

exports.updateEquipmentNameAction = updateEquipmentNameAction;

var updateEquipmentConfigAction = function(t) {
  return (0, _request.commonPost)(_urlConsts.default.updateEquipmentConfig, t);
};

exports.updateEquipmentConfigAction = updateEquipmentConfigAction;

var addeEditEqpImgAction = function(t) {
  return (0, _request.commonPost)(_urlConsts.default.addeEditEqpImg, t);
};

exports.addeEditEqpImgAction = addeEditEqpImgAction;