"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _rayMediaquery = _interopRequireDefault(require("ray-mediaquery")), _Logo = _interopRequireDefault(require("./Logo")), _MenuList = _interopRequireDefault(require("./MenuList")), _ExtraTools = _interopRequireDefault(require("./ExtraTools"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, u = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var i in e) if ("default" !== i && Object.prototype.hasOwnProperty.call(e, i)) {
    var n = u ? Object.getOwnPropertyDescriptor(e, i) : null;
    n && (n.get || n.set) ? Object.defineProperty(a, i, n) : a[i] = e[i];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var u = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, u);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var Header = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onMouseOver", (function() {
      a.expanded || (a.expanded = !0, a.toggleSubMenu(a.expanded));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "onMouseOut", (function() {
      a.expanded && (a.expanded = !1, a.toggleSubMenu(a.expanded));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "toggleSubMenu", (function(e) {
      var t = a.props.height, r = e ? t : 0;
      a.setState({
        activeHeight: r
      });
    })), a.state = {
      activeHeight: 0,
      showText: !0
    }, a.expanded = !1, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      var e = this;
      _rayMediaquery.default.register("only screen and (min-width: 0) and (max-width: 992px)", {
        match: function() {
          e.setState({
            showText: !1
          });
        },
        unmatch: function() {
          e.setState({
            showText: !0
          });
        }
      });
    }
  }, {
    key: "render",
    value: function() {
      var e = this.state, t = e.activeHeight, r = e.showText;
      return _react.default.createElement("div", {
        className: "header"
      }, _react.default.createElement("div", {
        className: "header-navs"
      }, _react.default.createElement(_Logo.default, (0, _extends2.default)({}, this.props, {
        showText: r
      })), _react.default.createElement(_MenuList.default, (0, _extends2.default)({}, this.props, {
        height: t,
        showText: r,
        toggleSubMenu: this.toggleSubMenu,
        onMenuOpen: this.onMouseOver,
        onMenuClosed: this.onMouseOut
      })), _react.default.createElement(_ExtraTools.default, (0, _extends2.default)({}, this.props, {
        showText: r
      }))));
    }
  } ]), r;
}(_react.Component);

Header.displayName = "Header", Header.defaultProps = {
  height: 250
}, Header.propTypes = {
  height: _propTypes.default.number
};

var _default = Header;

exports.default = _default;