"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof3 = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _typeof2 = _interopRequireDefault(require("@babel/runtime/helpers/typeof")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _ReactDom = require("React-dom"), _amosAntd = require("amos-antd");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof3(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var l in e) if ("default" !== l && Object.prototype.hasOwnProperty.call(e, l)) {
    var n = i ? Object.getOwnPropertyDescriptor(e, l) : null;
    n && (n.get || n.set) ? Object.defineProperty(a, l, n) : a[l] = e[l];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./style/filter.scss");

var FormItem = _amosAntd.Form.Item, createForm = _amosAntd.Form.create, Search = _amosAntd.Input.Search, VagueTextFilter = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "isTextSearch", (function() {
      return a.props.filterSearchModel.filter((function(e) {
        return 1 == e.primary && "text" == e.st;
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handelChange", (function(e) {
      if (a.props.needReloadWithApi) a.handleClick(e); else {
        var t = "";
        t = "object" === (0, _typeof2.default)(e) ? e.target.value : e;
        var r = a.props.invokeFeDataFilter;
        a.setState({
          value: t
        }, r(t));
      }
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleClick", (function(e) {
      var t = a.isTextSearch()[0], r = {}, i = "";
      i = "object" === (0, _typeof2.default)(e) ? e.target.value : e, r[t.dataIndex] = i, 
      a.props.changeFilters(r);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleReset", (function(e) {
      e.preventDefault(), a.props.form.resetFields(), a.props.changeFilters({}), a.setState({
        value: ""
      });
    })), a.state = {
      value: ""
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillReceiveProps",
    value: function(e) {
      e.vagueExtra != this.props.vagueExtra && this.setState({
        value: ""
      });
    }
  }, {
    key: "render",
    value: function() {
      var e = this, t = this.isTextSearch()[0], r = {
        display: t ? "block" : "none"
      }, a = "".concat(t.title, "搜索");
      return _react.default.createElement("div", {
        className: "amos-filter-content",
        style: r
      }, _react.default.createElement(_amosAntd.Form, {
        inline: !0,
        onSubmit: this.handleSubmit,
        className: "vague-filter"
      }, _react.default.createElement(FormItem, null, _react.default.createElement(Search, {
        placeholder: a,
        onSearch: function(t) {
          return e.handelChange(t);
        },
        style: {
          width: 200
        }
      })), _react.default.createElement(_amosAntd.Button, {
        className: "vague-button",
        onClick: this.handleReset
      }, _react.default.createElement(_amosAntd.Icon, {
        onClick: this.handleReset,
        type: "reload"
      }), "重置")));
    }
  } ]), r;
}(_react.Component);

VagueTextFilter.displayName = "VagueTextFilter", VagueTextFilter.propTypes = {
  form: _propTypes.default.any,
  needReloadWithApi: _propTypes.default.bool,
  invokeFeDataFilter: _propTypes.default.func,
  vagueExtra: _propTypes.default.any,
  filterSearchModel: _propTypes.default.array,
  changeFilters: _propTypes.default.func
}, VagueTextFilter.defaultProps = {
  invokeFeDataFilter: function() {},
  needReloadWithApi: !1
};

var _default = createForm()(VagueTextFilter);

exports.default = _default;