"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _rayEventpool = require("ray-eventpool"), _InterfaceListPanel = _interopRequireDefault(require("./InterfaceListPanel")), _ActionConf = require("./../common/ActionConf");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var u = i ? Object.getOwnPropertyDescriptor(e, n) : null;
    u && (u.get || u.set) ? Object.defineProperty(a, n, u) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var DeviceCapacityInfo = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "openConfigPanel", (function() {
      var e = a.props, t = e.onlinTestSwich, r = e.intfcList, i = e.quotaList, n = e.quotaSelected;
      _rayEventpool.PubSub.publish(_ActionConf.CONFIG_PANEL_SHOW_TOPIC.trigger, {
        type: 3,
        onlinTestSwich: t,
        intfcList: r,
        quotaList: i,
        quotaSelected: n
      });
    })), a.state = {}, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      return _react.default.createElement("div", {
        className: "add-device-left-capacity"
      }, _react.default.createElement("div", {
        className: "template-capacity-info-title"
      }, "设备能力示意图"), _react.default.createElement("div", {
        className: "template-capacity-device"
      }, _react.default.createElement("img", {
        src: require("./../../../assets/iot/deviceManage/allin.png"),
        alt: ""
      })), _react.default.createElement("div", {
        className: "template-capacity-test",
        onClick: this.openConfigPanel
      }, "测试设备"), _react.default.createElement(_InterfaceListPanel.default, this.props));
    }
  } ]), r;
}(_react.Component);

DeviceCapacityInfo.displayName = "DeviceCapacityInfo", DeviceCapacityInfo.propTypes = {
  onlinTestSwich: _propTypes.default.func,
  intfcList: _propTypes.default.any,
  quotaList: _propTypes.default.any,
  quotaSelected: _propTypes.default.any,
  device: _propTypes.default.object,
  equipment: _propTypes.default.object,
  updateInterfaceCellStatus: _propTypes.default.func,
  enable: _propTypes.default.bool
}, DeviceCapacityInfo.defaultProps = {
  enable: !0
};

var _default = DeviceCapacityInfo;

exports.default = _default;