"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _InterfaceCommonCell = _interopRequireDefault(require("./commoncell/InterfaceCommonCell")), _deviceService = require("./../../../services/deviceService");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var a in e) if ("default" !== a && Object.prototype.hasOwnProperty.call(e, a)) {
    var u = n ? Object.getOwnPropertyDescriptor(e, a) : null;
    u && (u.get || u.set) ? Object.defineProperty(i, a, u) : i[a] = e[a];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, n);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var InterfaceListPanel = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "getTemplatIntfcs", (function(e, t) {
      (0, _deviceService.fetchTemplatOrEqpIntfcAction)(e, t).then((function(e) {
        null !== e && i.setState({
          intfcList: e
        }), i.props.getIntfcInfo(e);
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "getInerfaceList", (function() {
      var e = [];
      return i.state.intfcList.map((function(t) {
        e.push(_react.default.createElement(_InterfaceCommonCell.default, (0, _extends2.default)({
          key: t.id,
          content: t
        }, i.props)));
      })), e;
    })), i.state = {
      intfcList: []
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      var e = this.props, t = e.device, r = e.equipment;
      this.getTemplatIntfcs(t.id, r ? r.id : 0);
    }
  }, {
    key: "render",
    value: function() {
      return _react.default.createElement("div", {
        className: "template-capacity-interface-list-root"
      }, _react.default.createElement("div", {
        className: "template-capacity-interface-list-title"
      }, "设备接口"), _react.default.createElement("div", {
        className: "template-capacity-interface-list-content"
      }, this.getInerfaceList()));
    }
  } ]), r;
}(_react.Component);

InterfaceListPanel.displayName = "InterfaceListPanel", InterfaceListPanel.propTypes = {
  device: _propTypes.default.object,
  updateInterfaceCellStatus: _propTypes.default.func,
  getIntfcInfo: _propTypes.default.func,
  equipment: _propTypes.default.object
};

var _default = InterfaceListPanel;

exports.default = _default;