"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _rayEventpool = require("ray-eventpool"), _ActionConf = require("./../../common/ActionConf");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var i in e) if ("default" !== i && Object.prototype.hasOwnProperty.call(e, i)) {
    var u = n ? Object.getOwnPropertyDescriptor(e, i) : null;
    u && (u.get || u.set) ? Object.defineProperty(a, i, u) : a[i] = e[i];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, n);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var InterfaceCommonCell = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "getImgByState", (function() {
      var e = [];
      return a.state.usedState ? (e.push(_react.default.createElement("img", {
        src: require("./../../../../assets/iot/deviceManage/disable.png"),
        alt: ""
      })), e.push(_react.default.createElement("img", {
        src: require("./../../../../assets/iot/deviceManage/empty.png"),
        alt: ""
      }))) : (e.push(_react.default.createElement("img", {
        src: require("./../../../../assets/iot/deviceManage/enable.png"),
        alt: ""
      })), e.push(_react.default.createElement("img", {
        src: require("./../../../../assets/iot/deviceManage/empty.png"),
        alt: ""
      }))), e;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "getStyleByState", (function() {
      return a.state.usedState ? "interface-cell-enable-root" : "interface-cell-disable-root";
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "openConfigPanel", (function() {
      var e = a.props.content;
      _rayEventpool.PubSub.publish(_ActionConf.CONFIG_PANEL_SHOW_TOPIC.trigger, {
        type: 1,
        id: e.id,
        intfc: e
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "changeEnableState", (function(e) {
      e.stopPropagation();
      var t = a.state.usedState, r = a.props, n = r.updateInterfaceCellStatus, i = r.content;
      r.equipment;
      n(i.id, !t), a.setState({
        usedState: !t
      });
    }));
    var n = a.props, i = n.content, u = n.updateInterfaceCellStatus, l = n.equipment, o = !0;
    if (void 0 !== l && void 0 !== l.id) {
      var s = l.cfgParamMap.selIntfcIds;
      o = !(void 0 === s || !s.includes("".concat(i.id)));
    }
    return u(i.id, o), a.state = {
      usedState: o,
      testSuccess: !0
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.props, t = e.content, r = (e.enable, this.getStyleByState());
      return _react.default.createElement("div", {
        className: r,
        title: t.name
      }, _react.default.createElement("div", {
        className: "interface-cell-text"
      }, t.name));
    }
  } ]), r;
}(_react.Component);

InterfaceCommonCell.displayName = "InterfaceCommonCell", InterfaceCommonCell.propTypes = {
  content: _propTypes.default.object,
  updateInterfaceCellStatus: _propTypes.default.func,
  equipment: _propTypes.default.object,
  enable: _propTypes.default.bool
};

var _default = InterfaceCommonCell;

exports.default = _default;