"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _CellOperatePanel = _interopRequireDefault(require("./CellOperatePanel")), _urlConsts = require("../../../consts/urlConsts");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var l in e) if ("default" !== l && Object.prototype.hasOwnProperty.call(e, l)) {
    var u = i ? Object.getOwnPropertyDescriptor(e, l) : null;
    u && (u.get || u.set) ? Object.defineProperty(a, l, u) : a[l] = e[l];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./commonDeviceCell.scss");

var CommonDeviceCell = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "getBodyBottomContent", (function() {
      var e = a.props, t = e.type, r = e.deviceNum, i = e.deviceInfo, l = [];
      return 1 === t ? (l.push(_react.default.createElement("div", {
        key: "new",
        style: {
          paddingTop: "10px"
        }
      }, "创建一个您的新设备")), l.push(_react.default.createElement("div", {
        key: "type"
      }, "专家模式/模板创建"))) : 2 === t && (l.push(_react.default.createElement("div", {
        key: "sum",
        className: "device-sum"
      }, "设备总数：", _react.default.createElement("label", {
        style: {
          color: "#345FAA"
        }
      }, r), "个")), l.push(_react.default.createElement(_CellOperatePanel.default, (0, 
      _extends2.default)({
        key: i.id,
        device: i
      }, a.props)))), l;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "clickCard", (function(e) {
      e.stopPropagation();
      var t = a.props, r = t.type, i = t.clickDeviceTemplate, l = t.deviceInfo;
      1 === r ? i(void 0) : 2 === r && i(l);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "getImg", (function() {
      var e = [], t = a.props.imgUrl;
      return void 0 === t ? e.push(_react.default.createElement("img", {
        key: "device_default",
        src: require("./../../../assets/iot/deviceManage/device_default.png"),
        alt: ""
      })) : e.push(_react.default.createElement("img", {
        key: t,
        src: "".concat(_urlConsts.OltSerUrl.fetchDeviceImg, "/").concat(t),
        alt: ""
      })), e;
    })), a.state = {}, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.props, t = e.type, r = e.deviceInfo;
      e.deleteTemplate;
      return _react.default.createElement("div", {
        tabIndex: "0",
        className: "device-card-root",
        onClick: this.clickCard
      }, _react.default.createElement("div", {
        className: "device-card-head"
      }, _react.default.createElement("div", {
        className: "device-card-head-text"
      }, void 0 !== r ? r.name : "")), _react.default.createElement("div", {
        className: "device-card-body"
      }, _react.default.createElement("div", {
        className: "device-card-body-center"
      }, 1 === t ? _react.default.createElement("img", {
        src: require("./../../../assets/iot/deviceManage/add_template.png"),
        alt: ""
      }) : this.getImg()), _react.default.createElement("div", {
        className: "device-card-body-text"
      }, this.getBodyBottomContent())));
    }
  } ]), r;
}(_react.Component);

CommonDeviceCell.displayName = "CommonDeviceCell", CommonDeviceCell.propTypes = {
  type: _propTypes.default.number,
  deviceNum: _propTypes.default.number,
  imgUrl: _propTypes.default.string,
  clickDeviceTemplate: _propTypes.default.func,
  updateMainView: _propTypes.default.func,
  deviceInfo: _propTypes.default.object,
  deleteTemplate: _propTypes.default.func
};

var _default = CommonDeviceCell;

exports.default = _default;