"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosFramework = require("amos-framework"), _CommonDeviceCell = _interopRequireDefault(require("./CommonDeviceCell")), _CreateDeviceSearch = _interopRequireDefault(require("./CreateDeviceSearch")), _CreateDeviceLeft = _interopRequireDefault(require("./CreateDeviceLeft"));

require("./createDeviceHost.scss");

var _deviceService = require("./../../../services/deviceService");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var c = i ? Object.getOwnPropertyDescriptor(e, n) : null;
    c && (c.get || c.set) ? Object.defineProperty(a, n, c) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var DeviceTypePanel = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "componentDidMount", (function() {
      a.questStatistiscData();
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "getTemplateContent", (function() {
      var e = a.state.statisticsData, t = [];
      return e && e.map((function(e) {
        var r = e.eqpTemplate;
        r && t.push(_react.default.createElement(_CommonDeviceCell.default, (0, _extends2.default)({
          key: r.id,
          deleteTemplate: a.questdeleteNode,
          clickDeviceTemplate: a.clickDeviceTemplate,
          type: 2,
          deviceInfo: r,
          imgUrl: r.img,
          deviceNum: e.count
        }, a.props)));
      })), t;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "setSearchParam", (function(e) {
      a.setState({
        searchParam: e
      }), a.questStatistiscData(e);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "clickDeviceTemplate", (function(e) {
      (0, _deviceService.fetchTemplatOrEqpIntfcAction)(e.id).then((function(t) {
        var r = t;
        (0, _extends2.default)(e, {
          intfcList: r
        }), a.setState({
          device: e
        });
      })), (0, _deviceService.fetchTemplatOrEqpQuotaAction)(e.id).then((function(t) {
        var r = t;
        (0, _extends2.default)(e, {
          quotaList: r
        }), a.setState({
          device: e
        });
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "clickMask", (function() {
      a.setState({
        device: void 0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "questStatistiscData", (function(e) {
      var t = a.state.searchParam;
      e = void 0 === e ? t : e, (0, _deviceService.fetchTemplateStatisticsAction)(e).then((function(e) {
        var t = e.data, r = e.totalCount;
        a.setState({
          statisticsData: t,
          totalCount: r
        });
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "questdeleteNode", (function(e) {
      if (void 0 !== e) {
        var t = a.deleteTemplate;
        _amosFramework.Modal.confirm({
          title: "确认删除",
          content: "是否删除所选信息？",
          okText: "确定",
          cancelText: "取消",
          onOk: function() {
            t(e);
          },
          onCancel: function() {}
        });
      }
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "deleteTemplate", (function(e) {
      (0, _deviceService.deleteEquipmentTemplateAction)(e).then((function(e) {
        a.questStatistiscData(), _amosFramework.message.success("删除成功"), a.clickMask();
      }));
    })), a.state = {
      searchParam: {},
      statisticsData: [],
      totalCount: 0
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.state, t = e.device, r = e.statisticsData, a = e.totalCount;
      return _react.default.createElement("div", {
        className: "create-device-root"
      }, _react.default.createElement("div", {
        className: "create-device-host-top"
      }, _react.default.createElement(_CreateDeviceSearch.default, {
        setSearchParam: this.setSearchParam
      })), _react.default.createElement("div", {
        className: "create-device-host-bottom",
        onClick: this.clickMask
      }, _react.default.createElement("div", {
        className: "create-device-host-left"
      }, _react.default.createElement(_CreateDeviceLeft.default, {
        device: t,
        statisticsData: r,
        totalCount: a
      })), _react.default.createElement("div", {
        className: "create-device-host-right"
      }, this.getTemplateContent())));
    }
  } ]), r;
}(_react.Component);

DeviceTypePanel.displayName = "DeviceTypePanel", DeviceTypePanel.propTypes = {
  updateMainView: _propTypes.default.func
};

var _default = DeviceTypePanel;

exports.default = _default;