"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _DeviceTypePanel = _interopRequireDefault(require("./deviceType/DeviceTypePanel")), _AddDevicePanel = _interopRequireDefault(require("./addEquipment/AddDevicePanel")), _DeviceListPanel = _interopRequireDefault(require("./deviceList/DeviceListPanel"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) {
    var n = i ? Object.getOwnPropertyDescriptor(e, u) : null;
    n && (n.get || n.set) ? Object.defineProperty(a, u, n) : a[u] = e[u];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var CreateEquipment = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "updateMainView", (function(e) {
      var t = e.flag, r = e.device, i = e.resourceFlag, u = e.equipment, n = e.pageConfig;
      a.flag = t, a.setState({
        device: r,
        resourceFlag: i,
        equipment: u,
        pageConfig: n
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "showTabPane", (function() {
      var e = a.state, t = e.device, r = e.resourceFlag, i = e.equipment, u = e.pageConfig, n = [];
      switch (a.flag) {
       case "1":
        n.push(_react.default.createElement(_DeviceTypePanel.default, {
          key: "type",
          updateMainView: a.updateMainView
        }));
        break;

       case "2":
        n.push(_react.default.createElement(_AddDevicePanel.default, {
          key: "add",
          enable: !0,
          device: t,
          resourceFlag: r,
          updateMainView: a.updateMainView
        })), a.flag = "1";
        break;

       case "3":
        n.push(_react.default.createElement(_DeviceListPanel.default, {
          key: "list",
          device: t,
          equipment: i,
          updateMainView: a.updateMainView,
          outterPageConfig: u
        })), a.flag = "1";
        break;

       case "4":
        n.push(_react.default.createElement(_AddDevicePanel.default, {
          key: "edit",
          enable: !0,
          device: t,
          equipment: i,
          resourceFlag: r,
          pageConfig: u,
          updateMainView: a.updateMainView
        })), a.flag = "1";
        break;

       case "5":
        n.push(_react.default.createElement(_AddDevicePanel.default, {
          key: "detail",
          enable: !1,
          device: t,
          equipment: i,
          resourceFlag: r,
          updateMainView: a.updateMainView,
          pageConfig: u
        })), a.flag = "1";
        break;

       default:
        n.push(_react.default.createElement("div", {
          key: "default"
        }, "empty"));
      }
      return n;
    })), a.flag = "1", a.state = {}, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      return _react.default.createElement("div", {
        style: {
          height: "100%"
        },
        className: "histroy-root"
      }, this.showTabPane());
    }
  } ]), r;
}(_react.Component);

CreateEquipment.displayName = "CreateEquipment", CreateEquipment.propTypes = {};

var _default = CreateEquipment;

exports.default = _default;