"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _DeviceEnum = require("./../../common/DeviceEnum"), _DeviceLang = require("./../../common/DeviceLang"), _EditCapacityProperty = _interopRequireDefault(require("./../deviceAddEdit/EditCapacityProperty"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, l = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var i = l ? Object.getOwnPropertyDescriptor(e, n) : null;
    i && (i.get || i.set) ? Object.defineProperty(a, n, i) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var l = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, l);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./../device-detail.scss");

var CapacityPropertyCell = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "handleEditProperty", (function(e) {
      console.log();
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleAddProperty", (function(e) {
      console.log();
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "deleteCurrentCapacityProperty", (function() {
      var e = a.props.propertyInfo.id;
      a.props.deleteCapacityProperty(e);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "getDataContent", (function(e) {
      var t = e.type, r = e.dataType, a = [];
      if (1 !== t && 4 !== t || 1 !== r && 2 !== r) if (4 === r && 3 !== t) a.push(_react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        title: "枚举范围：",
        content: e.enumRange
      }, _react.default.createElement("label", null, "枚举范围：", e.enumRange)))); else if (3 === t) a.push(_react.default.createElement("div", null, _react.default.createElement("label", null, "单位：", e.unit))); else if (1 === t) if (3 === r) {
        var l = String(Boolean(parseInt(e.valueStr)));
        a.push(_react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
          placement: "top",
          title: "默认值：",
          content: l
        }, _react.default.createElement("div", null, "默认值：", l))));
      } else a.push(_react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        title: "默认值：",
        content: e.valueStr
      }, _react.default.createElement("div", null, "默认值：", e.valueStr)))); else 2 === t ? a.push(_react.default.createElement("div", null, _react.default.createElement("label", null, "数值：", e.valueStr))) : a.push(_react.default.createElement("div", null, _react.default.createElement("label", null, "单位：", e.unit))); else a.push(_react.default.createElement("div", null, _react.default.createElement("label", null, "最大值：", e.maxValue), _react.default.createElement("div", null, "最小值：", e.minValue)));
      return a;
    })), a.state = {
      textEdit: !1
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this.props, t = e.propertyInfo, r = e.visibility;
      return _react.default.createElement("div", {
        className: "capacity-cell-detail"
      }, _react.default.createElement(_amosAntd.Row, null, _react.default.createElement(_amosAntd.Col, {
        span: 24
      }, _react.default.createElement("div", {
        className: "capacity-cell-title"
      }, _react.default.createElement("div", {
        className: "capacity-cell-title-text"
      }, t.displayName), 1 === r ? _react.default.createElement("span", null, _react.default.createElement(_EditCapacityProperty.default, (0, 
      _extends2.default)({
        propertyInfo: t
      }, this.props)), _react.default.createElement("div", {
        className: "capacity-cell-delete-button",
        onClick: this.deleteCurrentCapacityProperty
      }, _react.default.createElement("img", {
        src: require("./../../../../assets/iot/img/mk_delect.png"),
        alt: ""
      }), _react.default.createElement("label", null))) : null), _react.default.createElement("div", {
        className: "capacity-cell-content"
      }, _react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        title: "属性名：",
        content: t.name
      }, _react.default.createElement("label", null, "属性名：", t.name)), _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        title: "显示名称：",
        content: t.displayName
      }, _react.default.createElement("div", null, "显示名称：", t.displayName))), _react.default.createElement("div", null, _react.default.createElement("div", {
        className: "single-info"
      }, "分类：", (0, _DeviceLang.stringUtil)(_DeviceEnum.capacatyclassifyEnum, t.type))), _react.default.createElement("div", null, _react.default.createElement("div", {
        className: "single-info"
      }, "数据类型：", (0, _DeviceLang.stringUtil)(_DeviceEnum.dataTypeEnum, t.dataType))), this.getDataContent(t), _react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        title: "说明：",
        content: t.descr
      }, _react.default.createElement("div", {
        className: "single-info"
      }, "说明：", t.descr)))))));
    }
  } ]), r;
}(_react.Component);

CapacityPropertyCell.displayName = "CapacityPropertyCell", CapacityPropertyCell.propTypes = {
  deleteCapacityProperty: _propTypes.default.func,
  propertyInfo: _propTypes.default.object,
  key: _propTypes.default.number
};

var _default = CapacityPropertyCell;

exports.default = _default;