"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _processor = require("../../../../utils/processor"), _urlConsts = require("../../../../consts/urlConsts"), _amosFramework = require("amos-framework"), _DevicePropertyCell = _interopRequireDefault(require("./DevicePropertyCell")), _AddDeviceProperty = _interopRequireDefault(require("./../deviceAddEdit/AddDeviceProperty"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, o = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var a = o ? Object.getOwnPropertyDescriptor(e, n) : null;
    a && (a.get || a.set) ? Object.defineProperty(i, n, a) : i[n] = e[n];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var o = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, o);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./../device-detail.scss");

var DeviceProperty = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "fetchDeviceProperty", (function(e) {
      var t = i.props.device, r = t.id, o = t.attributes, n = t.visibility, a = [];
      if (void 0 !== o) for (var u = 0; u < o.length; u++) {
        var l = o[u];
        a.push(_react.default.createElement(_DevicePropertyCell.default, (0, _extends2.default)({
          key: u,
          propertyInfo: l,
          deleteDeviceProperty: i.deleteDeviceProperty,
          deviceId: r,
          visibility: n
        }, i.props)));
      }
      return a;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "deleteDeviceProperty", (function(e) {
      var t = i.delProperty;
      _amosAntd.Modal.confirm({
        title: "删除",
        content: "是否删除所选属性？",
        okText: "确定",
        cancelText: "取消",
        onOk: function() {
          t(e);
        },
        onCancel: function() {}
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "delProperty", (function(e) {
      var t = i.props.device.id, r = "".concat(_urlConsts.OltSerUrl.deleteDeviceProperty, "/").concat(e);
      _processor.AmosFetch.del(r).then((function(e) {
        if (e.ok) return e.text();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        _amosFramework.message.success("删除成功！"), i.props.getDeviceInfoById(t);
      }));
    })), i.state = {}, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this.props, t = e.device, r = e.getDeviceInfoById;
      return _react.default.createElement("div", {
        className: "device-property"
      }, _react.default.createElement("div", {
        className: "device-detail-property"
      }, _react.default.createElement("label", null, "基本属性"), 1 === t.visibility ? _react.default.createElement(_AddDeviceProperty.default, (0, 
      _extends2.default)({
        deviceId: t.id,
        getDeviceInfoById: r
      }, this.props)) : null), _react.default.createElement("div", {
        className: "device-detail-property-content"
      }, this.fetchDeviceProperty()));
    }
  } ]), r;
}(_react.Component);

DeviceProperty.displayName = "DeviceProperty", DeviceProperty.propTypes = {
  device: _propTypes.default.object,
  getDeviceInfoById: _propTypes.default.func
};

var _default = DeviceProperty;

exports.default = _default;