"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosIcon = _interopRequireDefault(require("amos-icon")), _amosAntd = require("amos-antd"), _amosWebsocket = _interopRequireDefault(require("amos-websocket")), _processor = require("../../../utils/processor"), _urlConsts = require("../../../consts/urlConsts"), _request = require("../../../utils/request"), _AlarmList = _interopRequireDefault(require("./AlarmList"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var o in e) if ("default" !== o && Object.prototype.hasOwnProperty.call(e, o)) {
    var n = i ? Object.getOwnPropertyDescriptor(e, o) : null;
    n && (n.get || n.set) ? Object.defineProperty(a, o, n) : a[o] = e[o];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var AlarmTools = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "getAlarmMessageCount", (function() {
      var e = [];
      e.push({
        name: "status",
        type: "EQUAL",
        value: 1
      }), e.push({
        name: "raiseTime",
        type: "ORDER BY",
        value: "DESC"
      });
      var t = "".concat(_urlConsts.OltSerUrl.getHistoryAlarm, "?pageNumber=0&pageSize=10");
      _processor.AmosFetch.post(t, {
        data: e
      }).then((function(e) {
        if (e.ok) return e.json();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        if ("SUCCESS" === e.result) {
          e.dataList.totalElements;
          e.content;
        } else a.setState({
          dataList: [],
          total: 0
        });
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleData", (function(e) {
      console.log("我应该是告警信息："), console.log(e);
      var t = currentUser().company.compCode;
      if (console.log("orgCode=".concat(t)), e.orgCode === t) {
        var r = e.name, i = e.descr;
        _amosAntd.Notification.open({
          message: "设备：".concat(r),
          description: "".concat(r).concat(i)
        }), a.getAlarmMessageCount();
      }
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "send", (function(e) {
      a.aws.getWebSocket().send(JSON.stringify(e));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "hide", (function() {
      a.setState({
        visible: !1
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleVisibleChange", (function(e) {
      a.getAlarmMessageCount(), a.setState({
        visible: e
      });
    })), a.state = {
      total: 0,
      visible: !1
    };
    var i = (0, _request.getToken)();
    return a.websocketUrl = "".concat(_urlConsts.realTimeMetricWsURL, "alarm.ws?token=").concat(i), 
    a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillMount",
    value: function() {}
  }, {
    key: "componentDidMount",
    value: function() {
      this.getAlarmMessageCount();
    }
  }, {
    key: "render",
    value: function() {
      var e = this, t = this.state, r = t.total, a = t.dataList;
      return _react.default.createElement(_amosAntd.Popover, {
        title: "告警消息列表",
        trigger: "click",
        content: _react.default.createElement(_AlarmList.default, {
          dataList: a,
          onHide: this.hide,
          getAlarmMessageCount: this.getAlarmMessageCount
        }),
        visible: this.state.visible,
        onVisibleChange: this.handleVisibleChange
      }, _react.default.createElement("div", {
        className: "dispatch-mask",
        ref: function(t) {
          return e.dispatchMask = t;
        }
      }, _react.default.createElement(_amosWebsocket.default, {
        ref: function(t) {
          return e.aws = t;
        },
        url: this.websocketUrl,
        onMessage: this.handleData,
        reconnect: !0,
        debug: !0
      })), _react.default.createElement("div", {
        className: "alarm-logo-css"
      }, _react.default.createElement(_amosAntd.Badge, {
        count: r,
        overflowCount: 99
      }, _react.default.createElement(_amosIcon.default, {
        icon: "xiaoxi2"
      }))));
    }
  } ]), r;
}(_react.Component);

(0, _defineProperty2.default)(AlarmTools, "propTypes", {
  showText: _propTypes.default.bool
}), (0, _defineProperty2.default)(AlarmTools, "defaultProps", {}), AlarmTools.displayName = "AlarmTools";

var _default = AlarmTools;

exports.default = _default;