"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, l = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var i = l ? Object.getOwnPropertyDescriptor(e, n) : null;
    i && (i.get || i.set) ? Object.defineProperty(a, n, i) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var l = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, l);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var SingleClearAlarm = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onClick", (function() {
      a.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "onChange", (function(e) {
      a.setState({
        inputStr: e.target.value
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleCancel", (function() {
      a.setState({
        visible: !1
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleSubmit", (function() {
      a.handleCancel();
      var e = [];
      e.push(a.props.alarmId), a.props.clearAlarm(a.state.inputStr, e);
    })), a.state = {
      visible: !1,
      inputStr: "告警已处理！"
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this.state.inputStr;
      return _react.default.createElement("div", {
        className: "clear-alarm",
        title: "批量清除"
      }, _react.default.createElement("label", {
        onClick: this.onClick
      }, "清除"), _react.default.createElement(_amosAntd.Modal, {
        width: 333,
        className: "clear-alarm-modal",
        title: "清除告警信息",
        visible: this.state.visible,
        footer: null,
        onCancel: this.handleCancel,
        maskClosable: !1,
        destroyOnClose: !0
      }, _react.default.createElement("div", null, _react.default.createElement(_amosAntd.Row, {
        style: {
          marginTop: "20px",
          textAlign: "center"
        }
      }, _react.default.createElement(_amosAntd.Col, {
        span: 24
      }, _react.default.createElement("span", {
        style: {
          "font-size": "13px"
        }
      }, "备注："), _react.default.createElement(_amosAntd.Input, {
        value: e,
        style: {
          width: "250px",
          "font-size": "13px"
        },
        onChange: this.onChange
      })))), _react.default.createElement(_amosAntd.Row, {
        style: {
          "padding-top": "30px"
        }
      }, _react.default.createElement(_amosAntd.Col, {
        className: "alarm-detail-clear",
        span: 4,
        offset: 6,
        onClick: this.handleSubmit
      }, "确定"), _react.default.createElement(_amosAntd.Col, {
        className: "alarm-detail-cancel",
        span: 4,
        offset: 2,
        onClick: this.handleCancel
      }, "取消"))));
    }
  } ]), r;
}(_react.Component);

SingleClearAlarm.displayName = "SingleClearAlarm", SingleClearAlarm.propTypes = {
  title: _propTypes.default.any,
  clearAlarm: _propTypes.default.func,
  alarmId: _propTypes.default.string
}, SingleClearAlarm.defaultProps = {};

var _default = SingleClearAlarm;

exports.default = _default;