"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _amosReactRouter = require("amos-react-router"), _amosTool = require("amos-tool"), _rayEventpool = require("ray-eventpool"), _stageConf = require("./ruleStatge/modelConf/stageConf"), _customRoutes = require("./../../routes/customRoutes"), _RuleLibrary = _interopRequireDefault(require("./ruleLibrary/RuleLibrary")), _ruleDesignService = require("./../../services/ruleDesignService");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var u = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var a in e) if ("default" !== a && Object.prototype.hasOwnProperty.call(e, a)) {
    var n = i ? Object.getOwnPropertyDescriptor(e, a) : null;
    n && (n.get || n.set) ? Object.defineProperty(u, a, n) : u[a] = e[a];
  }
  return u.default = e, r && r.set(e, u), u;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, u = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(u, arguments, i);
    } else r = u.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var RuleDesign = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var u;
    return (0, _classCallCheck2.default)(this, r), u = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(u), "onPushToRule", (function(e) {
      _amosReactRouter.browserHistory.push((0, _amosTool.parseText)(_customRoutes.pathMapping.ruledeploy, {
        libkey: e.id
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(u), "onSearchRuleLib", (function(e) {
      var t = u.param;
      (0, _extends2.default)(t, {
        name: e.target.value
      }), (0, _ruleDesignService.rulelibListAction)(t).then((function(e) {
        u.setState({
          ruleLib: e.content
        });
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(u), "reload", (function() {
      (0, _ruleDesignService.rulelibListAction)(u.param).then((function(e) {
        u.setState({
          ruleLib: e.content
        });
      }));
    })), u.param = {}, u.state = {
      ruleLib: []
    }, u;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      var e = this;
      this.reload(), this.pubsub_update = _rayEventpool.PubSub.subscribe(_stageConf.TREE_FETCH_TOPIC.treeFetch, (function(t, r) {
        var u = r.id;
        u && (e.param.orgCode = u, e.reload());
      }));
    }
  }, {
    key: "componentWillUnmount",
    value: function() {
      _rayEventpool.PubSub.unsubscribe(this.pubsub_update);
    }
  }, {
    key: "render",
    value: function() {
      var e = this.state.ruleLib;
      return _react.default.createElement("div", {
        className: "rule-lib-container"
      }, _react.default.createElement(_RuleLibrary.default, {
        onPushToRule: this.onPushToRule,
        ruleLib: e,
        reload: this.reload,
        onSearchRuleLib: this.onSearchRuleLib
      }));
    }
  } ]), r;
}(_react.Component);

RuleDesign.displayName = "RuleDesign";

var _default = RuleDesign;

exports.default = _default;