"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _ruleDesignService = require("./../../../services/ruleDesignService"), _OutputNodeConfig = _interopRequireDefault(require("./OutputNodeConfig")), _DataSourceConfig = _interopRequireDefault(require("./DataSourceConfig"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var u = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var a = i ? Object.getOwnPropertyDescriptor(e, n) : null;
    a && (a.get || a.set) ? Object.defineProperty(u, n, a) : u[n] = e[n];
  }
  return u.default = e, r && r.set(e, u), u;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, u = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(u, arguments, i);
    } else r = u.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var RuleConfigPanel = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var u;
    return (0, _classCallCheck2.default)(this, r), u = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(u), "getConfigPanel", (function() {
      var e = u.props.config.nodeType, t = [];
      return "datanodeDevice" === e || "datanodeCurrentUser" === e || "datanodeTask" === e || "datanodeView" === e ? t.push(_react.default.createElement(_DataSourceConfig.default, u.props)) : "outputEmail" !== e && "outputMqtt" !== e && "outputTcp" !== e || t.push(_react.default.createElement(_OutputNodeConfig.default, u.props)), 
      t;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(u), "queryRuleObj", (function() {
      var e = u.props.objId;
      e && (0, _ruleDesignService.initStageView)(e).then((function(e) {
        u.setState({
          ruleSubObj: e.rule
        });
      }));
    })), u.state = {
      capacityBasicInfo: {},
      interfaceBasicInfo: {},
      ruleSubObj: {}
    }, u;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      this.queryRuleObj();
    }
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {}
  }, {
    key: "render",
    value: function() {
      return _react.default.createElement("div", {
        className: "config-panel"
      }, this.getConfigPanel());
    }
  } ]), r;
}(_react.Component);

RuleConfigPanel.displayName = "RuleConfigPanel", RuleConfigPanel.propTypes = {
  config: _propTypes.default.object,
  objId: _propTypes.default.string,
  closeTriggerDesigner: _propTypes.default.func
};

var _default = RuleConfigPanel;

exports.default = _default;