"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosIcon = _interopRequireDefault(require("amos-icon")), _amosFramework = require("amos-framework"), _classnames = _interopRequireDefault(require("classnames"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var r = new WeakMap, t = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? t : r;
  })(e);
}

function _interopRequireWildcard(e, r) {
  if (!r && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var t = _getRequireWildcardCache(r);
  if (t && t.has(e)) return t.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var o = i ? Object.getOwnPropertyDescriptor(e, n) : null;
    o && (o.get || o.set) ? Object.defineProperty(a, n, o) : a[n] = e[n];
  }
  return a.default = e, t && t.set(e, a), a;
}

function _createSuper(e) {
  var r = _isNativeReflectConstruct();
  return function() {
    var t, a = (0, _getPrototypeOf2.default)(e);
    if (r) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      t = Reflect.construct(a, arguments, i);
    } else t = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, t);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var TriggerEditor = function(e) {
  (0, _inherits2.default)(t, e);
  var r = _createSuper(t);
  function t(e) {
    var a;
    return (0, _classCallCheck2.default)(this, t), a = r.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onClosed", (function() {
      a.setState({
        expanded: !1
      }, (function() {
        return a.props.closeDesigner();
      }));
    })), a.state = {
      expanded: e.expanded
    }, a;
  }
  return (0, _createClass2.default)(t, [ {
    key: "componentWillReceiveProps",
    value: function(e) {
      this.setState({
        expanded: e.expanded
      });
    }
  }, {
    key: "render",
    value: function() {
      var e = this.state.expanded, r = this.props.children, t = (0, _classnames.default)({
        "trigger-editor-content": !0,
        expanded: e
      }), a = e ? "right" : "left";
      return _react.default.createElement(_amosFramework.Animate, {
        transitionName: "slide-right",
        showProp: "data-expand",
        transitionAppear: !0
      }, _react.default.createElement("div", {
        className: "trigger-editor",
        "data-expand": e
      }, _react.default.createElement("div", {
        className: t
      }, r), e && _react.default.createElement("div", {
        className: "slider-right",
        onClick: this.onClosed
      }, _react.default.createElement(_amosIcon.default, {
        icon: a
      }))));
    }
  } ]), t;
}(_react.Component);

TriggerEditor.displayName = "TriggerEditor", TriggerEditor.propTypes = {
  children: _propTypes.default.node,
  closeDesigner: _propTypes.default.func,
  expanded: _propTypes.default.bool
}, TriggerEditor.defaultProps = {
  closeDesigner: function() {},
  expanded: !1
};

var _default = TriggerEditor;

exports.default = _default;