"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _addEditRule = _interopRequireDefault(require("./addEditRule"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var l in e) if ("default" !== l && Object.prototype.hasOwnProperty.call(e, l)) {
    var a = n ? Object.getOwnPropertyDescriptor(e, l) : null;
    a && (a.get || a.set) ? Object.defineProperty(i, l, a) : i[l] = e[l];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, n);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./common/index.scss");

var EditRule = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "onClick", (function() {
      i.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handleCancel", (function() {
      i.setState({
        visible: !1,
        isCycle: !1
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "typeChange", (function(e) {
      var t;
      t = "1" === e, i.setState({
        isCycle: t
      });
    })), i.state = {
      visible: !1,
      isCycle: !1
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillMount",
    value: function() {
      1 === this.props.monitorRuleInfo.monitorType && this.setState({
        isCycle: !0
      });
    }
  }, {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {
      e.monitorRuleInfo && 1 === e.monitorRuleInfo.monitorType && this.setState({
        isCycle: !0
      });
    }
  }, {
    key: "render",
    value: function() {
      var e = this.state.isCycle;
      return _react.default.createElement("span", null, _react.default.createElement(_amosAntd.Button, {
        size: "small",
        onClick: this.onClick,
        style: {
          float: "left"
        }
      }, "编辑"), _react.default.createElement(_amosAntd.Modal, {
        title: "编辑任务",
        visible: this.state.visible,
        width: 800,
        onCancel: this.handleCancel,
        footer: null,
        maskClosable: !1
      }, _react.default.createElement(_addEditRule.default, (0, _extends2.default)({
        cancel: this.handleCancel,
        flag: "edit",
        isCycle: e,
        typeChange: this.typeChange
      }, this.props))));
    }
  } ]), r;
}(_react.Component);

EditRule.displayName = "EditRule", EditRule.propTypes = {
  monitorRuleInfo: _propTypes.default.any
}, EditRule.defaultProps = {};

var _default = EditRule;

exports.default = _default;