"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _urlConsts = require("../../../consts/urlConsts"), _DeviceEnum = require("./../../deviceManage/common/DeviceEnum"), _DeviceLang = require("./../../deviceManage/common/DeviceLang");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) {
    var l = n ? Object.getOwnPropertyDescriptor(e, u) : null;
    l && (l.get || l.set) ? Object.defineProperty(a, u, l) : a[u] = e[u];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, n);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var DragableCard = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r() {
    return (0, _classCallCheck2.default)(this, r), t.apply(this, arguments);
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.props, t = e.cardData, r = e.key, a = e.startDrag, n = t.img, u = "" === n ? "".concat(_urlConsts.OltSerUrl.fetchDeviceImg, "/default.png") : "".concat(_urlConsts.OltSerUrl.fetchDeviceImg, "/").concat(n);
      return _react.default.createElement("div", {
        className: "drag-card"
      }, _react.default.createElement("div", {
        key: r,
        className: "btn btn-".concat(t.name, "-node"),
        draggable: !0,
        onDragStart: function(e) {
          return a(e, "custom", t);
        }
      }, _react.default.createElement("div", {
        className: "card-info-img"
      }, _react.default.createElement("img", {
        src: u,
        alt: "device"
      })), _react.default.createElement("div", {
        className: "card-info-text",
        title: t.name
      }, _react.default.createElement("p", null, t.name), _react.default.createElement("p", null, t ? (0, 
      _DeviceLang.stringUtil)(_DeviceEnum.deviceCategoryEnum, parseInt(t.type)) : ""))));
    }
  } ]), r;
}(_react.Component);

DragableCard.displayName = "DragableCard", DragableCard.propTypes = {
  cardData: _propTypes.default.object,
  key: _propTypes.default.string,
  startDrag: _propTypes.default.func
};

var _default = DragableCard;

exports.default = _default;