"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _rayEventpool = require("ray-eventpool"), _stageConst = require("./../modelConf/stageConst");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var i in e) if ("default" !== i && Object.prototype.hasOwnProperty.call(e, i)) {
    var o = n ? Object.getOwnPropertyDescriptor(e, i) : null;
    o && (o.get || o.set) ? Object.defineProperty(a, i, o) : a[i] = e[i];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, n);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var TopoConfigHeadPanel = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "changeHeadAction", (function(e, t) {
      _rayEventpool.PubSub.publish(_stageConst.TOPO_SWITCH_CONFIG_TOPIC.trigger, {
        selectedKey: t
      }), a.setState({
        selectedKey: t
      });
    })), a.state = {
      selectedKey: 1
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillMount",
    value: function() {}
  }, {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {}
  }, {
    key: "componentWillUnmount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this, t = this.state.selectedKey, r = "device-basic-head", a = "device-capacity-head";
      return this.props.isNodeSelected ? 1 === t ? r = "".concat(r, " device-selected") : 2 === t && (a = "".concat(a, " device-selected")) : a = "".concat(a, " subview-selected"), 
      _react.default.createElement("div", {
        className: "topo-config-panel-head-root"
      }, _react.default.createElement("div", {
        className: r
      }, _react.default.createElement("img", {
        src: require("./../../../../assets/iot/topo/device-basic.png"),
        onClick: function(t) {
          return e.changeHeadAction(t, 1);
        },
        alt: ""
      })), _react.default.createElement("div", {
        className: a
      }, _react.default.createElement("img", {
        src: require("./../../../../assets/iot/topo/capacity.png"),
        onClick: function(t) {
          return e.changeHeadAction(t, 2);
        },
        alt: ""
      })));
    }
  } ]), r;
}(_react.Component);

TopoConfigHeadPanel.displayName = "TopoConfigHeadPanel", TopoConfigHeadPanel.propTypes = {
  isNodeSelected: _propTypes.default.bool
};

var _default = TopoConfigHeadPanel;

exports.default = _default;