"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _amosFramework = require("amos-framework");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var l in e) if ("default" !== l && Object.prototype.hasOwnProperty.call(e, l)) {
    var o = i ? Object.getOwnPropertyDescriptor(e, l) : null;
    o && (o.get || o.set) ? Object.defineProperty(a, l, o) : a[l] = e[l];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var createForm = _amosAntd.Form.create(), FormItem = _amosAntd.Form.Item, formItemLayout = {
  labelCol: {
    xs: {
      span: 24
    },
    sm: {
      span: 6
    }
  },
  wrapperCol: {
    xs: {
      span: 24
    },
    sm: {
      span: 16
    }
  }
}, AddView = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r() {
    var e;
    (0, _classCallCheck2.default)(this, r);
    for (var a = arguments.length, i = new Array(a), l = 0; l < a; l++) i[l] = arguments[l];
    return e = t.call.apply(t, [ this ].concat(i)), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(e), "checkValidate", (function(e, t, r) {
      new RegExp(/^\S*$/).test(t) ? r() : r("支持1-20位非空格字符！");
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(e), "handCancel", (function() {
      e.props.form.resetFields(), e.props.toggleView(!1);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(e), "handleSubmit", (function() {
      e.props.form.validateFields((function(t, r) {
        t || ((0, e.props.addTreeData)(r.newNodeName), e.props.form.resetFields(), e.props.toggleView(!1));
      }));
    })), e;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.props, t = e.form, r = e.visible, a = (0, t.getFieldProps)("newNodeName", {
        initialValue: "",
        rules: [ {
          required: !0,
          message: "支持1-20位非空格字符！"
        }, {
          validator: this.checkValidate
        } ]
      });
      return _react.default.createElement("div", {
        className: "add-view-root"
      }, _react.default.createElement(_amosAntd.Modal, {
        maskClosable: !1,
        title: "创建视图",
        closable: !0,
        visible: r,
        onCancel: this.handCancel,
        onOk: this.handleSubmit,
        width: 350
      }, _react.default.createElement(_amosAntd.Form, {
        horizontal: !0
      }, _react.default.createElement(FormItem, (0, _extends2.default)({}, formItemLayout, {
        hasFeedback: !0,
        label: "视图名称: "
      }), _react.default.createElement(_amosFramework.Input, (0, _extends2.default)({}, a, {
        placeholder: "视图名称（支持1-20位非空格字符）"
      }))))));
    }
  } ]), r;
}(_react.Component);

AddView.displayName = "AddView", AddView.propTypes = {
  visible: _propTypes.default.bool,
  form: _propTypes.default.any,
  selectedKeys: _propTypes.default.array,
  addTreeData: _propTypes.default.func,
  toggleView: _propTypes.default.func
};

var _default = createForm(AddView);

exports.default = _default;