"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _dt2react = require("dt2react"), _amosFramework = require("amos-framework"), _AddView = _interopRequireDefault(require("./AddView")), _EditView = _interopRequireDefault(require("./EditView"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var i in e) if ("default" !== i && Object.prototype.hasOwnProperty.call(e, i)) {
    var u = n ? Object.getOwnPropertyDescriptor(e, i) : null;
    u && (u.get || u.set) ? Object.defineProperty(a, i, u) : a[i] = e[i];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, n);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var ContextMenu = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "showMenu", (function(e, t) {
      var r = a.props.treeLocation, n = e.clientX, i = e.clientY;
      (0, _dt2react.addStyle)(a.contextMenu, "top", "".concat(i - r.top - 50, "px")), 
      (0, _dt2react.addStyle)(a.contextMenu, "left", "".concat(n - r.left, "px")), a.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "_handleClick", (function(e) {
      var t = a.state.visible;
      !(e.target.contains === a.contextMenu) && t && a.setState({
        visible: !1
      });
    })), a.state = {
      visible: !1
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      document.addEventListener("click", this._handleClick);
    }
  }, {
    key: "componentWillUnmount",
    value: function() {
      document.removeEventListener("click", this._handleClick);
    }
  }, {
    key: "render",
    value: function() {
      var e = this, t = this.state.visible, r = this.props, a = r.selectedKeys, n = r.currentNode, i = r.editTreeData, u = r.addTreeData, l = r.onDelClick, o = t ? "inline" : "none";
      return _react.default.createElement("div", {
        style: {
          display: o
        },
        ref: function(t) {
          return e.contextMenu = t;
        },
        className: "contextMenu"
      }, _react.default.createElement("div", {
        className: "contextMenu--option"
      }, _react.default.createElement(_AddView.default, {
        selectedKeys: a,
        addTreeData: u
      })), _react.default.createElement("div", {
        className: "contextMenu--option"
      }, _react.default.createElement(_EditView.default, {
        currentNode: n,
        selectedKeys: a,
        editTreeData: i
      })), _react.default.createElement("div", {
        className: "contextMenu--option"
      }, _react.default.createElement(_amosFramework.Button, {
        onClick: l
      }, "删除视图")));
    }
  } ]), r;
}(_react.Component);

ContextMenu.displayName = "ContextMenu", ContextMenu.propTypes = {
  treeLocation: _propTypes.default.object,
  selectedKeys: _propTypes.default.array,
  editTreeData: _propTypes.default.func,
  currentNode: _propTypes.default.object,
  addTreeData: _propTypes.default.func,
  onDelClick: _propTypes.default.func
};

var _default = ContextMenu;

exports.default = _default;