"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _urlConsts = require("./../../../../consts/urlConsts"), _amosAntd = require("amos-antd"), _amosFramework = require("amos-framework"), _amosIcon = _interopRequireDefault(require("amos-icon")), _topoService = require("./../../../../services/topoService");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, a = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var l in e) if ("default" !== l && Object.prototype.hasOwnProperty.call(e, l)) {
    var n = a ? Object.getOwnPropertyDescriptor(e, l) : null;
    n && (n.get || n.set) ? Object.defineProperty(i, l, n) : i[l] = e[l];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var a = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, a);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var HEXSIZE = 1024, UploadMultiPicModal = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "onClick", (function() {
      i.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "fetchImgData", (function(e) {
      e && (0, _topoService.fetchOrgImgsAction)(e).then((function(e) {
        i.setState({
          imgFiles: e.imgFiles
        });
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handCancel", (function() {
      i.setState({
        visible: !1
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handSubmit", (function() {
      var e = {
        imgFiles: i.state.imgFiles,
        orgCode: i.props.currentNode.key
      };
      (0, _topoService.editOrgImgAction)(e).then((function(e) {
        _amosFramework.message.success("操作成功"), i.setState({
          visible: !1
        });
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "uploadCompanyPics", (function() {
      i.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handleCancel", (function() {
      return i.setState({
        previewVisible: !1
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handlePreview", (function(e) {
      i.setState({
        previewImage: e.url || e.thumbUrl,
        previewVisible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handleChange", (function(e) {
      var t = e.fileList;
      i.setState({
        imgFiles: t
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "beforeUpload", (function(e) {
      var t = /image\/(gif|jpeg|png|jpg|bmp)$/.test(e.type);
      t || _amosFramework.message.danger("请选择符合格式的图片！（gif|jpeg|png|jpg|bmp）");
      var r = e.size / HEXSIZE / HEXSIZE < 4;
      return r || _amosFramework.message.danger("图片最大为 4MB!"), t && r;
    })), i.state = {
      visible: !1,
      previewVisible: !1,
      previewImage: "",
      imgFiles: []
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillMount",
    value: function() {}
  }, {
    key: "componentDidMount",
    value: function() {
      this.fetchImgData(this.props.currentNode.key);
    }
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {
      this.props.currentNode.key !== e.currentNode.key && this.fetchImgData(e.currentNode.key);
    }
  }, {
    key: "render",
    value: function() {
      var e = this.state, t = e.previewVisible, r = e.previewImage, i = e.imgFiles, a = this.props.maxImg, l = _react.default.createElement("div", null, _react.default.createElement(_amosIcon.default, {
        type: "plus"
      }), _react.default.createElement("div", {
        className: "ant-upload-text"
      }, "添加图片")), n = _urlConsts.OltSerUrl.addDevice;
      return _react.default.createElement("div", {
        className: "upload-img-root"
      }, _react.default.createElement("div", {
        className: "upload-img-icon",
        onClick: this.uploadCompanyPics,
        title: "上传图片"
      }, _react.default.createElement(_amosIcon.default, {
        icon: "file-upload"
      })), _react.default.createElement(_amosAntd.Modal, {
        maskClosable: !1,
        title: "上传图片",
        closable: !0,
        visible: this.state.visible,
        onCancel: this.handCancel,
        onOk: this.handSubmit,
        width: 367
      }, _react.default.createElement("div", {
        className: "upload-pics-content"
      }, _react.default.createElement(_amosAntd.Upload, {
        action: n,
        listType: "picture-card",
        fileList: i,
        onPreview: this.handlePreview,
        onChange: this.handleChange,
        beforeUpload: this.beforeUpload
      }, i.length >= a ? null : l), _react.default.createElement(_amosAntd.Modal, {
        visible: t,
        footer: null,
        onCancel: this.handleCancel
      }, _react.default.createElement("img", {
        alt: "example",
        style: {
          width: "100%"
        },
        src: r
      })))));
    }
  } ]), r;
}(_react.Component);

UploadMultiPicModal.displayName = "UploadMultiPicModal", UploadMultiPicModal.propTypes = {
  currentNode: _propTypes.default.object,
  maxImg: _propTypes.default.number
};

var _default = UploadMultiPicModal;

exports.default = _default;