"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _GridButton = _interopRequireDefault(require("./../../common/btns/GridButton")), _SimpleModal = _interopRequireDefault(require("./../../common/modal/SimpleModal")), _UserAddEdit = _interopRequireDefault(require("./UserAddEdit")), _validate = require("./../../common/utils/validate"), _amosAntd = require("amos-antd");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, a = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var l = a ? Object.getOwnPropertyDescriptor(e, n) : null;
    l && (l.get || l.set) ? Object.defineProperty(i, n, l) : i[n] = e[n];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var a = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, a);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var createForm = _amosAntd.Form.create(), AddUser = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "onClick", (function() {
      i.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handleSave", (function(e) {
      i.props.userAddAction(e), i.handCancel();
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "setHandleReset", (function(e) {
      i.setState({
        handleReset: e
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handCancel", (function() {
      i.props.form.resetFields(), i.setState({
        visible: !1
      }), i.state.handleReset();
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handleSubmit", (function(e) {
      e.preventDefault(), i.props.form.validateFields((function(e, t) {
        e || (t.enabled = "enable" === t.enabled, t = (0, _validate.objOfStrPropTrim)(t), 
        i.handleSave(t), i.props.form.resetFields());
      }));
    })), i.state = {
      visible: !1,
      handleReset: function() {}
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.props, t = e.text, r = e.form;
      return _react.default.createElement("span", null, _react.default.createElement(_GridButton.default, {
        text: t,
        color: "#FFF",
        icon: "plus",
        onClick: this.onClick
      }), _react.default.createElement(_SimpleModal.default, {
        title: "新增用户",
        visible: this.state.visible,
        onOk: this.handleSubmit,
        onCancel: this.handCancel,
        width: 685
      }, _react.default.createElement(_UserAddEdit.default, (0, _extends2.default)({
        submit: this.handleSubmit,
        isEdit: !0,
        parentform: r
      }, this.props, {
        setHandleReset: this.setHandleReset
      }))));
    }
  } ]), r;
}(_react.Component);

AddUser.displayName = "AddUser", AddUser.propTypes = {
  text: _propTypes.default.string,
  reload: _propTypes.default.func,
  userAddAction: _propTypes.default.func,
  form: _propTypes.default.any
}, AddUser.defaultProps = {};

var _default = createForm(AddUser);

exports.default = _default;