"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _react = _interopRequireWildcard(require("react")), _amosAntd = require("amos-antd"), _amosFramework = require("amos-framework"), _TubeEquipNum = _interopRequireDefault(require("./statistics/TubeEquipNum")), _Task = _interopRequireDefault(require("./statistics/Task")), _AccountInfo = _interopRequireDefault(require("./statistics/AccountInfo")), _Alarm = _interopRequireDefault(require("./statistics/Alarm")), _EquipInterface = _interopRequireDefault(require("./statistics/EquipInterface")), _EquipProtocol = _interopRequireDefault(require("./statistics/EquipProtocol")), _PrototypeEquip = _interopRequireDefault(require("./statistics/PrototypeEquip")), _outterUrlConsts = require("../../../consts/outterUrlConsts");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, u = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var i in e) if ("default" !== i && Object.prototype.hasOwnProperty.call(e, i)) {
    var l = u ? Object.getOwnPropertyDescriptor(e, i) : null;
    l && (l.get || l.set) ? Object.defineProperty(a, i, l) : a[i] = e[i];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var u = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, u);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./index.scss");

var Overview = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    return (0, _classCallCheck2.default)(this, r), t.call(this, e);
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      return _react.default.createElement(_amosFramework.Scrollbars, null, _react.default.createElement("div", {
        className: "overview-container",
        style: {
          width: "100%",
          height: "100%"
        }
      }, _react.default.createElement("div", {
        className: "overview-left"
      }, _react.default.createElement("div", {
        className: "overview-item overview-tubeequipnum"
      }, _react.default.createElement(_amosAntd.Card, {
        title: "纳管设备数量统计"
      }, _react.default.createElement(_TubeEquipNum.default, null))), _react.default.createElement("div", {
        className: "overview-item overview-task"
      }, _react.default.createElement(_amosAntd.Card, {
        title: "任务统计"
      }, _react.default.createElement(_Task.default, null)))), _react.default.createElement("div", {
        className: "overview-right"
      }, _react.default.createElement("div", {
        className: "overview-item overview-alarm"
      }, _react.default.createElement(_amosAntd.Card, {
        title: "告警统计"
      }, _react.default.createElement(_Alarm.default, null))), _react.default.createElement("div", {
        className: "overview-item overview-equipinterface"
      }, _react.default.createElement(_amosAntd.Card, {
        title: _react.default.createElement("span", null, "通信方式统计")
      }, _react.default.createElement(_EquipInterface.default, null))), _react.default.createElement("div", {
        className: "overview-item overview-equipprotocol"
      }, _react.default.createElement(_amosAntd.Card, {
        title: _react.default.createElement("span", null, "通信协议统计")
      }, _react.default.createElement(_EquipProtocol.default, null))), _react.default.createElement("div", {
        className: "overview-item overview-prototypeequip"
      }, _react.default.createElement(_amosAntd.Card, {
        title: "原型设备统计"
      }, _react.default.createElement(_PrototypeEquip.default, null))))));
    }
  } ]), r;
}(_react.Component);

Overview.displayName = "Overview";

var _default = Overview;

exports.default = _default;