"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _echarts = require("amos-viz/lib/echarts"), _processor = require("../../../../utils/processor"), _amosReactRouter = require("amos-react-router"), _urlConsts = _interopRequireDefault(require("../../../../consts/urlConsts")), _TaskData = require("./chartData/TaskData");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, o = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var i in e) if ("default" !== i && Object.prototype.hasOwnProperty.call(e, i)) {
    var n = o ? Object.getOwnPropertyDescriptor(e, i) : null;
    n && (n.get || n.set) ? Object.defineProperty(a, i, n) : a[i] = e[i];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var o = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, o);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var AccountInfo = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "eConsole", (function(e) {
      _amosReactRouter.browserHistory.push("/main/monitor/ruleManage");
    })), a.state = {
      optionData: (0, _TaskData.option)(0),
      option1Data: (0, _TaskData.option1)(0),
      option2Data: (0, _TaskData.option2)(0),
      option3Data: (0, _TaskData.option3)()
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      var e = this;
      _processor.AmosFetch.get(_urlConsts.default.getMonitorRuleUrl).then((function(e) {
        if (e.ok) return e.json();
        throw new Error("从服务端获取数据失败！");
      })).then((function(t) {
        if ("SUCCESS" === t.result) {
          var r = t.dataList || {}, a = 0 === r.equipTotal ? "100%" : (r.coverEquipTotal / r.equipTotal * 100).toFixed(2) + "%";
          e.setState({
            optionData: (0, _TaskData.option)(r.runRuleCount),
            option1Data: (0, _TaskData.option1)(r.stopRuleCount),
            option2Data: (0, _TaskData.option2)(r.coverEquipTotal),
            option3Data: (0, _TaskData.option3)(a)
          });
        }
      }));
    }
  }, {
    key: "render",
    value: function() {
      var e = this.state, t = e.option1Data, r = e.option2Data, a = e.option3Data, o = e.optionData, i = [], n = {
        type: "click",
        handler: this.eConsole
      };
      return i.push(n), _react.default.createElement("div", {
        className: "overview-item-chart"
      }, _react.default.createElement("div", {
        className: "overview-task-item"
      }, _react.default.createElement(_echarts.PieChart, {
        pieOps: o,
        chartStyle: {
          width: "100%",
          height: "300px"
        },
        eventpool: i
      })), _react.default.createElement("div", {
        className: "overview-task-item"
      }, _react.default.createElement(_echarts.PieChart, {
        pieOps: t,
        chartStyle: {
          width: "100%",
          height: "300px"
        },
        eventpool: i
      })), _react.default.createElement("div", {
        className: "overview-task-item"
      }, _react.default.createElement(_echarts.PieChart, {
        pieOps: r,
        chartStyle: {
          width: "100%",
          height: "300px"
        },
        eventpool: i
      })), _react.default.createElement("div", {
        className: "overview-task-item"
      }, _react.default.createElement(_echarts.PieChart, {
        pieOps: a,
        chartStyle: {
          width: "100%",
          height: "300px"
        },
        eventpool: i
      })));
    }
  } ]), r;
}(_react.Component);

AccountInfo.displayName = "AccountInfo";

var _default = AccountInfo;

exports.default = _default;