"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = exports.AsyncRegionList = exports.AsyncOverview = exports.AsyncRootView = exports.AsyncLogin = void 0;

var _typeof2 = _interopRequireDefault(require("@babel/runtime/helpers/typeof")), _react = _interopRequireDefault(require("react")), _rayCodeSplit = _interopRequireDefault(require("ray-code-split"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var r = new WeakMap, n = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? n : r;
  })(e);
}

function _interopRequireWildcard(e, r) {
  if (!r && e && e.__esModule) return e;
  if (null === e || "object" !== (0, _typeof2.default)(e) && "function" != typeof e) return {
    default: e
  };
  var n = _getRequireWildcardCache(r);
  if (n && n.has(e)) return n.get(e);
  var t = {}, a = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var o in e) if ("default" !== o && Object.prototype.hasOwnProperty.call(e, o)) {
    var i = a ? Object.getOwnPropertyDescriptor(e, o) : null;
    i && (i.get || i.set) ? Object.defineProperty(t, o, i) : t[o] = e[o];
  }
  return t.default = e, n && n.set(e, t), t;
}

var AsyncEmptyPage = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/common/page/EmptyPage"));
    })),
    componentProps: e
  });
};

AsyncEmptyPage.displayName = "AsyncEmptyPage";

var AsyncLogin = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/login"));
    })),
    componentProps: e
  });
};

exports.AsyncLogin = AsyncLogin, AsyncLogin.displayName = "AsyncLogin";

var AsyncRegionList = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/region"));
    })),
    componentProps: e
  });
};

exports.AsyncRegionList = AsyncRegionList, AsyncRegionList.displayName = "AsyncRegionList";

var AsyncRootView = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/mainframe"));
    })),
    componentProps: e
  });
};

exports.AsyncRootView = AsyncRootView, AsyncRootView.displayName = "AsyncRootView";

var AsyncConfig = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/config"));
    })),
    componentProps: e
  });
};

AsyncConfig.displayName = "AsyncConfig";

var AsyncMonitor = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/monitor"));
    })),
    componentProps: e
  });
};

AsyncMonitor.displayName = "AsyncMonitor";

var AsyncHistoryAlarm = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/historyAlarm"));
    })),
    componentProps: e
  });
};

AsyncHistoryAlarm.displayName = "AsyncHistoryAlarm";

var AsyncRecentAlarm = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/recentAlarm"));
    })),
    componentProps: e
  });
};

AsyncRecentAlarm.displayName = "AsyncRecentAlarm";

var AsyncRuleDesign = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/ruleDesign"));
    })),
    componentProps: e
  });
};

AsyncRuleDesign.displayName = "AsyncRuleDesign";

var AsyncDeviceCustom = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/deviceCustom"));
    })),
    componentProps: e
  });
};

AsyncDeviceCustom.displayName = "AsyncDeviceCustom";

var AsyncOnlineMonitor = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/onlineMonitor"));
    })),
    componentProps: e
  });
};

AsyncOnlineMonitor.displayName = "AsyncOnlineMonitor";

var AsyncAlarmManage = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/alarmManage"));
    })),
    componentProps: e
  });
};

AsyncAlarmManage.displayName = "AsyncAlarmManage";

var AsyncOverview = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/zonglan/home"));
    })),
    componentProps: e
  });
};

exports.AsyncOverview = AsyncOverview, AsyncOverview.displayName = "AsyncOverview";

var AsyncDeviceInterface = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/deviceInterface"));
    })),
    componentProps: e
  });
};

AsyncDeviceInterface.displayName = "AsyncDeviceInterface";

var AsyncDeviceProtocol = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/deviceProtocol"));
    })),
    componentProps: e
  });
};

AsyncDeviceProtocol.displayName = "AsyncDeviceProtocol";

var AsyncDeviceManage = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/deviceManage"));
    })),
    componentProps: e
  });
};

AsyncDeviceManage.displayName = "AsyncDeviceManage";

var AsyncRuleManage = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/ruleManage"));
    })),
    componentProps: e
  });
};

AsyncRuleManage.displayName = "AsyncRuleManage";

var AsyncTopoManage = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/topoManage"));
    })),
    componentProps: e
  });
};

AsyncTopoManage.displayName = "AsyncTopoManage";

var AsyncKunShan = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/topoManage/KunShan"));
    })),
    componentProps: e
  });
};

AsyncKunShan.displayName = "AsyncKunShan";

var AsyncHistoricalData = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/historicalData"));
    })),
    componentProps: e
  });
};

AsyncHistoricalData.displayName = "AsyncHistoricalData";

var AsyncCreateEquipment = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/createEquipment"));
    })),
    componentProps: e
  });
};

AsyncCreateEquipment.displayName = "AsyncCreateEquipment";

var AsyncSectionStoreRoom = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("./../view/sectionStoreRoom"));
    })),
    componentProps: e
  });
};

AsyncSectionStoreRoom.displayName = "AsyncSectionStoreRoom";

var AsyncPLCManager = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("../view/plcManager"));
    })),
    componentProps: e
  });
};

AsyncPLCManager.displayName = "AsyncPLCManager";

var AsyncIECClientManager = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("../view/iec/client"));
    })),
    componentProps: e
  });
};

AsyncIECClientManager.displayName = "AsyncIECClientManager";

var AsyncIECMasterManager = function(e) {
  return _react.default.createElement(_rayCodeSplit.default, {
    load: Promise.resolve().then((function() {
      return _interopRequireWildcard(require("../view/iec/server"));
    })),
    componentProps: e
  });
};

AsyncIECMasterManager.displayName = "AsyncIECMasterManager";

var Routes = {
  main: AsyncRootView,
  config: AsyncConfig,
  monitor: AsyncMonitor,
  onlineMonitor: AsyncOnlineMonitor,
  deviceCustom: AsyncDeviceCustom,
  alarmManage: AsyncAlarmManage,
  deviceInterface: AsyncDeviceInterface,
  deviceProtocol: AsyncDeviceProtocol,
  deviceManage: AsyncDeviceManage,
  ruleManage: AsyncRuleManage,
  topoManage: AsyncTopoManage,
  kunshan: AsyncKunShan,
  historicalData: AsyncHistoricalData,
  historyAlarm: AsyncHistoryAlarm,
  recentAlarm: AsyncRecentAlarm,
  ruledesign: AsyncRuleDesign,
  overview: AsyncOverview,
  createEquipment: AsyncCreateEquipment,
  sectionStoreRoom: AsyncSectionStoreRoom,
  plcManager: AsyncPLCManager,
  iec104client: AsyncIECClientManager,
  iec104server: AsyncIECMasterManager
}, pageCompontent = function(e) {
  return Routes[e] || AsyncEmptyPage;
}, _default = pageCompontent;

exports.default = _default;