"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _DeviceEnum = require("./../../deviceManage/common/DeviceEnum"), _DeviceLang = require("./../../deviceManage/common/DeviceLang");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, l = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var a = l ? Object.getOwnPropertyDescriptor(e, n) : null;
    a && (a.get || a.set) ? Object.defineProperty(i, n, a) : i[n] = e[n];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var l = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, l);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var obilityOptionData = [];

(0, _DeviceLang.enums2array)(_DeviceEnum.capacityClassifyEnum).map((function(e) {
  obilityOptionData.push({
    value: e.key,
    label: e.label,
    selected: !1,
    style: "all-filter-btn"
  });
}));

var ObilityOptionsFilter = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "delFilter", (function() {
      var e = i.state, t = e.obilityOptions;
      e.clearBtnStyle;
      t.map((function(e) {
        e.selected = !1, e.style = "all-filter-btn";
      })), i.setState({
        obilityOptions: t,
        clearBtnStyle: "all-filter-btn selected-btn"
      }), i.props.obilitySelectFunc([]);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "selectClick", (function(e) {
      var t = [], r = i.state, l = r.obilityOptions, n = r.clearBtnStyle;
      n = "all-filter-btn", l.map((function(r) {
        r.label === e.target.innerText && (r.selected ? (r.selected = !1, r.style = "all-filter-btn") : (r.selected = !0, 
        r.style = "all-filter-btn selected-btn")), r.selected && t.push(r);
      })), n = 0 === t.length ? "all-filter-btn selected-btn" : "all-filter-btn", i.setState({
        obilityOptions: l,
        clearBtnStyle: n
      }), i.props.obilitySelectFunc(t);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "disableAllSelected", (function() {
      i.setState({
        clearBtnStyle: "all-filter-btn selected-btn"
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "AllObilityOptionFunc", (function() {
      var e = i.state, t = e.obilityOptions, r = e.clearBtnStyle, l = [];
      return l.push(_react.default.createElement("div", {
        key: "obility",
        className: r,
        onClick: i.delFilter
      }, _react.default.createElement("div", null, "不限"))), t.map((function(e) {
        l.push(_react.default.createElement("div", {
          key: "obility".concat(e.value),
          className: e.style,
          onClick: i.selectClick
        }, e.label));
      })), l;
    })), i.state = {
      obilityOptions: obilityOptionData,
      clearBtnStyle: "all-filter-btn selected-btn"
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      return this.AllObilityOptionFunc();
    }
  } ]), r;
}(_react.Component);

ObilityOptionsFilter.displayName = "ObilityOptionsFilter", ObilityOptionsFilter.propTypes = {
  obilitySelectFunc: _propTypes.default.func
};

var _default = ObilityOptionsFilter;

exports.default = _default;