"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosIcon = _interopRequireDefault(require("amos-icon")), _amosFramework = require("amos-framework"), _SkinItem = _interopRequireDefault(require("./SkinItem"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var i in e) if ("default" !== i && Object.prototype.hasOwnProperty.call(e, i)) {
    var l = n ? Object.getOwnPropertyDescriptor(e, i) : null;
    l && (l.get || l.set) ? Object.defineProperty(a, i, l) : a[i] = e[i];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, n);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var Skin = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r() {
    var e;
    (0, _classCallCheck2.default)(this, r);
    for (var a = arguments.length, n = new Array(a), i = 0; i < a; i++) n[i] = arguments[i];
    return e = t.call.apply(t, [ this ].concat(n)), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(e), "onThemeChange", (function(t) {
      e.props.changeTheme(t);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(e), "closedSkin", (function() {
      e.props.closed();
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(e), "renderSkinContent", (function() {
      var t = e.props.skins;
      return (void 0 === t ? [] : t).map((function(t) {
        return _react.default.createElement(_SkinItem.default, {
          key: t.id,
          skinImg: t.icon,
          name: t.text,
          bgColor: t.bgColor,
          skinUse: t.skinUse,
          onThemeChange: function() {
            return e.onThemeChange(t);
          }
        });
      }));
    })), e;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.props.onEyeModeChange, t = this.renderSkinContent();
      return _react.default.createElement("div", {
        className: "skin-scroll-wrapper"
      }, _react.default.createElement(_amosFramework.Scrollbars, null, _react.default.createElement("div", {
        className: "skin-wrapper"
      }, _react.default.createElement("div", {
        className: "skin-header"
      }, _react.default.createElement("h3", null, "皮肤"), _react.default.createElement(_amosIcon.default, {
        icon: "cross",
        onClick: this.closedSkin
      })), _react.default.createElement("div", {
        className: "skin-switch"
      }, _react.default.createElement("label", {
        className: "switch-tip"
      }, "护眼模式:"), _react.default.createElement(_amosFramework.Switch, {
        onLabel: "开",
        offLabel: "关",
        defaultOn: !0,
        onChange: e
      })), _react.default.createElement("div", {
        className: "skin-content"
      }, t))));
    }
  } ]), r;
}(_react.Component);

(0, _defineProperty2.default)(Skin, "propTypes", {
  skins: _propTypes.default.array,
  onEyeModeChange: _propTypes.default.func,
  changeTheme: _propTypes.default.func,
  closed: _propTypes.default.func
}), (0, _defineProperty2.default)(Skin, "defaulProps", {
  changeTheme: function() {}
}), Skin.displayName = "Skin";

var _default = Skin;

exports.default = _default;