"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var l = i ? Object.getOwnPropertyDescriptor(e, n) : null;
    l && (l.get || l.set) ? Object.defineProperty(a, n, l) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./style/filter.scss");

var FormItem = _amosAntd.Form.Item, createForm = _amosAntd.Form.create, VagueTextFilter = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "isTextSearch", (function() {
      return a.props.filterSearchModel.filter((function(e) {
        return !0 === e.primary && "text" === e.st;
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handelChange", (function(e) {
      var t = e.target.value, r = a.props.invokeFeDataFilter;
      a.setState({
        value: t
      }, r(t));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleClick", (function() {
      var e = {};
      e[a.isTextSearch()[0].dataIndex] = a.state.value, a.props.changeFilters(e);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleReset", (function(e) {
      e.preventDefault(), a.props.form.resetFields(), a.props.changeFilters({}), a.setState({
        value: ""
      });
    })), a.state = {
      value: ""
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillReceiveProps",
    value: function(e) {
      e.vagueExtra !== this.props.vagueExtra && this.setState({
        value: ""
      });
    }
  }, {
    key: "render",
    value: function() {
      var e = this.isTextSearch()[0], t = {
        display: e ? "block" : "none"
      }, r = "".concat(e.title, "搜索");
      return _react.default.createElement("div", {
        className: "amos-filter-content",
        style: t
      }, _react.default.createElement(_amosAntd.Form, {
        inline: !0,
        onSubmit: this.handleSubmit,
        className: "vague-filter"
      }, _react.default.createElement(FormItem, null, _react.default.createElement(_amosAntd.Input, {
        className: "vague-input",
        value: this.state.value,
        onChange: this.handelChange,
        addonAfter: _react.default.createElement(_amosAntd.Icon, {
          onClick: this.handleClick,
          type: "search"
        }),
        placeholder: r
      })), _react.default.createElement(_amosAntd.Button, {
        className: "vague-button",
        onClick: this.handleReset
      }, _react.default.createElement(_amosAntd.Icon, {
        onClick: this.handleReset,
        type: "reload"
      }), "重置")));
    }
  } ]), r;
}(_react.Component);

VagueTextFilter.displayName = "VagueTextFilter", VagueTextFilter.propTypes = {
  form: _propTypes.default.any,
  invokeFeDataFilter: _propTypes.default.func,
  vagueExtra: _propTypes.default.any,
  filterSearchModel: _propTypes.default.array,
  changeFilters: _propTypes.default.func
}, VagueTextFilter.defaultProps = {
  invokeFeDataFilter: function() {}
};

var _default = createForm()(VagueTextFilter);

exports.default = _default;