"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _funcThrottle = _interopRequireDefault(require("amos-processor/lib/utils/funcThrottle")), _amosTool = require("amos-tool"), _SystemTableTree = _interopRequireDefault(require("./../../common/tableComponent/SystemTableTree")), _AddCompany = _interopRequireDefault(require("./AddCompany")), _EditCompany = _interopRequireDefault(require("./EditCompany")), _DelCompany = _interopRequireDefault(require("./DelCompany")), _tableConf = require("./tableConf"), _permission = require("amos-processor/lib/config/permission");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, o = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var i in e) if ("default" !== i && Object.prototype.hasOwnProperty.call(e, i)) {
    var l = o ? Object.getOwnPropertyDescriptor(e, i) : null;
    l && (l.get || l.set) ? Object.defineProperty(a, i, l) : a[i] = e[i];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var o = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, o);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var CompanyMgmt = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "getSelectedRows", (function(e, t) {
      a.setState({
        selectedRows: e,
        selectedRowKeys: t
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "addButtons", (function() {
      var e = [], t = a.state.reload;
      return e.push(_react.default.createElement(_AddCompany.default, (0, _extends2.default)({
        text: "新增",
        reload: t
      }, a.props))), e.push(_react.default.createElement(_EditCompany.default, (0, _extends2.default)({
        text: "编辑",
        reload: t
      }, a.props, {
        selectRows: a.state.selectedRows
      }))), e.push(_react.default.createElement(_DelCompany.default, (0, _extends2.default)({
        text: "删除",
        reload: t,
        selectRows: a.state.selectedRows
      }, a.props))), e;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "reload", (function(e) {
      a.setState({
        reload: function() {
          e(), a.setState({
            selectedRows: [],
            selectedRowKeys: []
          });
        }
      }, e());
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "executeFeDataFilter", (function(e) {
      var t = a.state.dataList;
      (0, _funcThrottle.default)(a.recombineData, {
        value: e,
        dl: t
      }, (0, _assertThisInitialized2.default)(a), 500, 1e3);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "recombineData", (function(e) {
      var t = e.value, r = e.dl;
      _amosTool.Log.debug("CM recombineData", t, r);
      var o = _amosTool.tableFilter.recombineData(t, r);
      a.setState({
        tableList: o
      });
    })), a.state = {
      selectedRows: [],
      selectedRowKeys: [],
      dataList: [],
      tableList: [],
      reload: function() {}
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      this.props.companyLevelsAction();
    }
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {
      _amosTool.Log.debug("CM nextProps", e);
      var t = e.tableList;
      this.setState({
        dataList: t,
        tableList: t
      }), e.needRefreshTable && this.state.reload();
    }
  }, {
    key: "render",
    value: function() {
      var e = this.state.tableList, t = this.props, r = t.companyLevels, a = t.companyTableAction, o = (0, 
      _tableConf.companyColumns)(r);
      return _amosTool.Log.debug("CM recombineData2", this.state.dataList), _react.default.createElement("div", {
        className: "table-mgmt-content tree-table iotview-config-table"
      }, _react.default.createElement(_SystemTableTree.default, {
        columns: o,
        callBack: this.reload,
        dataList: e,
        selectedRowKeys: this.state.selectedRowKeys,
        getTableDataAction: a,
        operBtns: this.addButtons(),
        getSelectedRows: this.getSelectedRows,
        invokeFeDataFilter: this.executeFeDataFilter
      }));
    }
  } ]), r;
}(_react.Component);

CompanyMgmt.displayName = "CompanyMgmt", CompanyMgmt.propTypes = {
  companyLevelsAction: _propTypes.default.func,
  companyTableAction: _propTypes.default.func,
  tableList: _propTypes.default.array,
  companyLevels: _propTypes.default.array
}, CompanyMgmt.defaultProps = {
  companyLevels: []
};

var _default = CompanyMgmt;

exports.default = _default;