"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _DeviceBasicInfo = _interopRequireDefault(require("./DeviceBasicInfo")), _DeviceConfigInfo = _interopRequireDefault(require("./DeviceConfigInfo")), _DeviceCapacityInfo = _interopRequireDefault(require("./DeviceCapacityInfo")), _DeviceQuotaInfo = _interopRequireDefault(require("./DeviceQuotaInfo")), _OnlineTest = _interopRequireDefault(require("./../onlineTestManger/OnlineTest"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var u = i ? Object.getOwnPropertyDescriptor(e, n) : null;
    u && (u.get || u.set) ? Object.defineProperty(a, n, u) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var dataReady = function(e, t) {
  var r = [];
  return e.length > 0 && e.map((function(e) {
    for (var a = e.id, i = !0, n = 0; n < t.length; n++) {
      if (!1 === t[n][a]) {
        i = !1;
        break;
      }
    }
    i && r.push(e);
  })), r;
}, AddDevicePanelBody = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onlinTestSwich", (function(e) {
      a.setState({
        showStatusEditor: e
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "getIntfcInfo", (function(e) {
      null === e ? a.setState({
        intfcList: []
      }) : a.setState({
        intfcList: e
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "getQuotaInfo", (function(e) {
      null === e ? a.setState({
        quotaList: []
      }) : ((0, a.props.setSumValue)(e.length), a.setState({
        quotaList: e
      }));
    })), a.state = {
      intfcList: [],
      quotaList: [],
      showStatusEditor: !1
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillMount",
    value: function() {}
  }, {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {}
  }, {
    key: "componentWillUnmount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this.state, t = e.intfcList, r = e.quotaList, a = this.props, i = a.interfaceStatus, n = a.quotaCellStatus, u = dataReady(t, i), o = dataReady(r, n);
      return _react.default.createElement("div", {
        className: "add-device-panel-body-root"
      }, _react.default.createElement("div", {
        className: "add-device-panel-body-left"
      }, _react.default.createElement(_DeviceBasicInfo.default, this.props), _react.default.createElement(_DeviceConfigInfo.default, this.props)), _react.default.createElement("div", {
        className: "add-device-panel-body-right"
      }, _react.default.createElement(_DeviceCapacityInfo.default, (0, _extends2.default)({
        onlinTestSwich: this.onlinTestSwich,
        intfcList: u,
        quotaList: o,
        getIntfcInfo: this.getIntfcInfo
      }, this.props)), _react.default.createElement(_DeviceQuotaInfo.default, (0, _extends2.default)({
        getQuotaInfo: this.getQuotaInfo
      }, this.props))));
    }
  } ]), r;
}(_react.Component);

AddDevicePanelBody.displayName = "AddDevicePanelBody", AddDevicePanelBody.propTypes = {
  device: _propTypes.default.object,
  equipment: _propTypes.default.object,
  updateInterfaceCellStatus: _propTypes.default.func,
  updateQuotaCellStatus: _propTypes.default.func,
  updateDevicePropertyCell: _propTypes.default.func,
  interfaceStatus: _propTypes.default.any,
  quotaCellStatus: _propTypes.default.any,
  setImgFile: _propTypes.default.func,
  setSumValue: _propTypes.default.func
};

var _default = AddDevicePanelBody;

exports.default = _default;