"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosFramework = require("amos-framework");

require("./deviceList.scss");

var _DeviceListPanelHead = _interopRequireDefault(require("./DeviceListPanelHead")), _DeviceListPanelContent = _interopRequireDefault(require("./DeviceListPanelContent")), _deviceService = require("./../../../services/deviceService");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, a = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var u = a ? Object.getOwnPropertyDescriptor(e, n) : null;
    u && (u.get || u.set) ? Object.defineProperty(i, n, u) : i[n] = e[n];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var a = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, a);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var DeviceListPanel = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "setSearchParam", (function(e) {
      i.fetchTemplatEquipments({
        name: e
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "fetchTemplatEquipments", (function(e) {
      var t = i.props, r = t.device, a = t.outterPageConfig;
      null != e.current && (e.pageNumber = e.current), a ? (e.pageSize = void 0 !== e.pageSize ? e.pageSize : a.pageSize, 
      e.pageNumber = void 0 !== e.pageNumber ? e.pageNumber : a.current - 1) : (e.pageSize = void 0 !== e.pageSize ? e.pageSize : 10, 
      e.pageNumber = void 0 !== e.pageNumber ? e.pageNumber : 0), (0, _deviceService.fetchTemplatEquipmentsAction)(r.id, e).then((function(e) {
        var t = e.content, r = e.totalElements;
        i.setState({
          equipmentList: t,
          count: r
        });
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "deleteDeviceById", (function(e) {
      (0, _deviceService.deleteEquipmentAction)(e).then((function(e) {
        i.fetchTemplatEquipments({}), _amosFramework.message.success("删除成功");
      }));
    })), i.state = {
      equipmentList: [],
      count: 0
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      this.fetchTemplatEquipments({});
    }
  }, {
    key: "render",
    value: function() {
      var e = this.state, t = e.equipmentList, r = e.count, i = this.props.device;
      return _react.default.createElement("div", {
        className: "device-list-root"
      }, _react.default.createElement("div", {
        className: "device-list-head"
      }, _react.default.createElement(_DeviceListPanelHead.default, (0, _extends2.default)({
        device: i,
        setSearchParam: this.setSearchParam,
        deleteDeviceById: this.deleteDeviceById
      }, this.props))), _react.default.createElement(_DeviceListPanelContent.default, (0, 
      _extends2.default)({
        deleteDeviceById: this.deleteDeviceById,
        count: r,
        fetchData: this.fetchTemplatEquipments,
        device: i,
        equipmentList: t
      }, this.props)));
    }
  } ]), r;
}(_react.Component);

DeviceListPanel.displayName = "DeviceListPanel", DeviceListPanel.propTypes = {
  updateMainView: _propTypes.default.func,
  device: _propTypes.default.object,
  outterPageConfig: _propTypes.default.object
};

var _default = DeviceListPanel;

exports.default = _default;