"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosFramework = require("amos-framework"), _rayEventpool = require("ray-eventpool"), _ActionConf = require("./../common/ActionConf");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var l = i ? Object.getOwnPropertyDescriptor(e, n) : null;
    l && (l.get || l.set) ? Object.defineProperty(a, n, l) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var DeviceListPanelHead = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onBackAction", (function() {
      a.props.updateMainView({
        flag: "1"
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "onInputChange", (function(e) {
      a.setState({
        name: e.target.value
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "addDevice", (function() {
      a.props.updateMainView({
        flag: "2",
        device: a.props.device,
        resourceFlag: "3"
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "doSearch", (function() {
      a.props.setSearchParam(a.state.name);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "batchDelete", (function() {
      _rayEventpool.PubSub.publish(_ActionConf.EQUIPMENT_BATCH_DELETE_TOPIC.trigger, {});
    })), a.state = {
      name: ""
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this;
      return _react.default.createElement("div", {
        className: "device-list-panel-head-root"
      }, _react.default.createElement("div", {
        className: "device-list-panel-head-back",
        onClick: this.onBackAction
      }, _react.default.createElement("img", {
        src: require("./../../../assets/iot/deviceManage/back.png"),
        alt: ""
      })), _react.default.createElement("div", {
        className: "device-list-panel-head-delete"
      }, _react.default.createElement("img", {
        src: require("./../../../assets/iot/deviceManage/delete.png"),
        onClick: this.batchDelete,
        alt: ""
      })), _react.default.createElement("div", {
        className: "device-list-panel-head-add"
      }, _react.default.createElement("img", {
        src: require("./../../../assets/iot/deviceManage/add_small.png"),
        onClick: this.addDevice,
        alt: ""
      })), _react.default.createElement("div", {
        className: "device-list-panel-head-search"
      }, _react.default.createElement("img", {
        src: require("./../../../assets/iot/deviceManage/search.png"),
        onClick: this.doSearch,
        alt: ""
      }), _react.default.createElement(_amosFramework.Input, {
        placeholder: "请输入",
        className: "device-list-panel-head-input",
        onChange: function(t) {
          return e.onInputChange(t);
        }
      })));
    }
  } ]), r;
}(_react.Component);

DeviceListPanelHead.displayName = "DeviceListPanelHead", DeviceListPanelHead.propTypes = {
  updateMainView: _propTypes.default.func,
  device: _propTypes.default.object,
  deleteDeviceById: _propTypes.default.func,
  setSearchParam: _propTypes.default.func
};

var _default = DeviceListPanelHead;

exports.default = _default;