"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _amosFramework = require("amos-framework"), _deviceService = require("./../../../../services/deviceService");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var l in e) if ("default" !== l && Object.prototype.hasOwnProperty.call(e, l)) {
    var n = i ? Object.getOwnPropertyDescriptor(e, l) : null;
    n && (n.get || n.set) ? Object.defineProperty(a, l, n) : a[l] = e[l];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var TemplateEdit = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onClick", (function() {
      a.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "onTextChange", (function(e, t) {
      var r = a.state.deviceName, i = a.props.record;
      r[e] = t, r.id = i.id, a.setState({
        deviceName: r
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "confirmEdit", (function() {
      var e = a.state.deviceName;
      (0, _deviceService.editEquipmentNameAction)(e).then((function(e) {
        _amosFramework.message.success("保存成功"), a.handCancel(), a.props.reload();
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handCancel", (function() {
      a.setState({
        visible: !1
      });
    })), a.state = {
      visible: !1,
      deviceName: {}
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this, t = this.props.record;
      return _react.default.createElement("div", {
        className: "template-edit-root"
      }, _react.default.createElement(_amosAntd.Button, {
        size: "small",
        style: {
          marginLeft: "10px"
        },
        onClick: this.onClick
      }, "编辑"), _react.default.createElement(_amosAntd.Modal, {
        maskClosable: !1,
        title: "编辑设备",
        closable: !0,
        visible: this.state.visible,
        onOk: this.confirmEdit,
        onCancel: this.handCancel,
        width: 500
      }, _react.default.createElement(_amosFramework.Row, {
        className: "template-edit-name-root"
      }, _react.default.createElement(_amosFramework.Col, {
        span: 4,
        offset: 0,
        className: "template-edit-name"
      }, "设备名称："), _react.default.createElement(_amosFramework.Col, {
        span: 9,
        offset: 0,
        className: "template-edit-name-value"
      }, _react.default.createElement(_amosFramework.Editable, {
        defaultValue: t.name,
        onChange: function(t) {
          return e.onTextChange("name", t);
        },
        showOkCancel: !1
      }))), _react.default.createElement(_amosFramework.Row, {
        className: "template-edit-descr-root"
      }, _react.default.createElement(_amosFramework.Col, {
        span: 4,
        offset: 0,
        className: "template-edit-descr"
      }, "设备描述："), _react.default.createElement(_amosFramework.Col, {
        span: 9,
        offset: 0,
        className: "template-edit-descr-value"
      }, _react.default.createElement(_amosFramework.Editable, {
        defaultValue: t.descr,
        onChange: function(t) {
          return e.onTextChange("desc", t);
        },
        showOkCancel: !1
      })))));
    }
  } ]), r;
}(_react.Component);

TemplateEdit.displayName = "TemplateEdit", TemplateEdit.propTypes = {
  record: _propTypes.default.object,
  reload: _propTypes.default.func
};

var _default = TemplateEdit;

exports.default = _default;