"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _SimpleCell = _interopRequireDefault(require("./SimpleCell")), _DeviceEnum = require("./../../deviceManage/common/DeviceEnum"), _DeviceLang = require("./../../deviceManage/common/DeviceLang");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, l = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var i in e) if ("default" !== i && Object.prototype.hasOwnProperty.call(e, i)) {
    var n = l ? Object.getOwnPropertyDescriptor(e, i) : null;
    n && (n.get || n.set) ? Object.defineProperty(a, i, n) : a[i] = e[i];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var l = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, l);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var DeviceInfoLeft = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "getQuotaCell", (function() {
      var e = a.props.device, t = [], r = e.quotaList;
      return r && r.map((function(e) {
        t.push(_react.default.createElement(_SimpleCell.default, {
          key: e.id,
          content: e.name
        }));
      })), t;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "getInterfaceCell", (function() {
      var e = a.props.device, t = [], r = e.intfcList;
      return r && r.map((function(e) {
        t.push(_react.default.createElement(_SimpleCell.default, {
          key: e.id,
          content: e.displayName
        }));
      })), t;
    })), a.state = {}, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.props.device;
      return _react.default.createElement("div", {
        className: "device-info-left-root"
      }, _react.default.createElement("div", {
        className: "device-info-left-top"
      }, _react.default.createElement("div", {
        className: "device-info-left-one"
      }, e.name), _react.default.createElement("div", {
        className: "device-info-left-two"
      }, _react.default.createElement("label", null, "类别：", (0, _DeviceLang.stringUtil)(_DeviceEnum.deviceCategoryEnum, e.type)), _react.default.createElement("label", null)), _react.default.createElement("div", {
        className: "device-info-left-two"
      }, _react.default.createElement("label", null, "行业：", e.equipTemplateIndustry.name), _react.default.createElement("label", null)), _react.default.createElement("div", {
        className: "device-info-left-two"
      }, _react.default.createElement("label", null, "型号：", e.model), _react.default.createElement("label", null)), _react.default.createElement("div", {
        className: "device-info-left-desc"
      }, _react.default.createElement("label", null, "设备说明："), _react.default.createElement("label", null, e.descr))), _react.default.createElement("div", {
        className: "device-info-left-bottom"
      }, _react.default.createElement("img", {
        src: require("./../../../assets/iot/deviceManage/const_device.png"),
        alt: ""
      }), _react.default.createElement("div", {
        className: "interface-cell-text"
      }, "接口列表"), _react.default.createElement("div", {
        className: "interface-cell-area"
      }, this.getInterfaceCell()), _react.default.createElement("div", {
        className: "capacity-cell-text"
      }, "采集指标"), _react.default.createElement("div", {
        className: "capacity-cell-area"
      }, this.getQuotaCell())));
    }
  } ]), r;
}(_react.Component);

DeviceInfoLeft.displayName = "DeviceInfoLeft", DeviceInfoLeft.propTypes = {
  device: _propTypes.default.object
};

var _default = DeviceInfoLeft;

exports.default = _default;