"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _processor = require("../../../utils/processor"), _amosAntd = require("amos-antd"), _urlConsts = _interopRequireDefault(require("../../../consts/urlConsts")), _TableCard = _interopRequireDefault(require("./TableCard")), _AddInterfaceCard = _interopRequireDefault(require("./AddInterfaceCard"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var u = i ? Object.getOwnPropertyDescriptor(e, n) : null;
    u && (u.get || u.set) ? Object.defineProperty(a, n, u) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var TableContainer = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "delInfo", (function(e) {
      var t = "".concat(_urlConsts.default.interfaceDelete, "/").concat(e);
      _processor.AmosFetch.del(t).then((function(e) {
        if (e.ok) return e.text();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        var t = _amosAntd.Modal.warning({
          title: "系统提示",
          content: "删除成功！",
          okText: "确定"
        });
        setTimeout((function() {
          return t.destroy();
        }), 2e3);
        var r = a.props, i = r.visibility, n = r.criterias;
        a.props.requestMethod(i, n);
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "showTable", (function() {
      var e = a.props.dataList, t = [], r = a.props, i = r.visibility, n = r.isDel;
      return "1" === i && t.push(_react.default.createElement(_AddInterfaceCard.default, (0, 
      _extends2.default)({
        key: 0
      }, a.props))), e.length > 0 && e.map((function(e) {
        t.push(_react.default.createElement(_TableCard.default, (0, _extends2.default)({
          key: e.id
        }, a.props, {
          cardData: e,
          delInfo: a.delInfo,
          isDel: n
        })));
      })), t;
    })), a.state = {}, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      return _react.default.createElement("div", {
        className: "table-container"
      }, this.showTable());
    }
  } ]), r;
}(_react.Component);

TableContainer.displayName = "TableContainer", TableContainer.propTypes = {
  isDel: _propTypes.default.bool,
  criterias: _propTypes.default.array,
  visibility: _propTypes.default.string,
  requestMethod: _propTypes.default.func,
  dataList: _propTypes.default.any
};

var _default = TableContainer;

exports.default = _default;