"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _EditInterfaceProperty = _interopRequireDefault(require("./EditInterfaceProperty"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, l = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var i = l ? Object.getOwnPropertyDescriptor(e, n) : null;
    i && (i.get || i.set) ? Object.defineProperty(a, n, i) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var l = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, l);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./interface-detail.scss");

var InterfacePropertyCell = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "handleEditProperty", (function(e) {
      console.log();
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleAddProperty", (function(e) {
      console.log();
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "deleteInfo", (function() {
      var e = a.props.propertyInfo;
      a.props.deleteInterfaceProperty(e.id);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "getDataContent", (function(e) {
      var t = e.type, r = e.dataType, a = [];
      return 1 !== t && 4 !== t || 1 !== r && 2 !== r ? 4 === r && 3 !== t && a.push(_react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        title: "枚举范围：",
        content: e.enumRange
      }, _react.default.createElement("label", null, "枚举范围：", e.enumRange)))) : a.push(_react.default.createElement("div", null, _react.default.createElement("label", null, "最大值：", e.maxValue), _react.default.createElement("div", null, "最小值：", e.minValue))), 
      a;
    })), a.state = {
      textEdit: !1
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.props, t = e.propertyInfo, r = e.requestIntfcAttrs, a = e.visibility, l = t.type;
      if (l) switch (t.type) {
       case 1:
        l = "变量";
        break;

       case 2:
        l = "常量";
        break;

       case 3:
        l = "标签";
      }
      var n = t.dataType, i = t.valueStr;
      if ("undefined" === i && (i = ""), 3 === n && (i = "0" === i ? "true" : "false"), 
      n) switch (n) {
       case 1:
        n = "整型";
        break;

       case 2:
        n = "浮点型";
        break;

       case 3:
        n = "布尔型";
        break;

       case 4:
        n = "枚举";
        break;

       case 5:
        n = "字符串";
        break;

       case 6:
        n = "密码";
      }
      return _react.default.createElement("div", {
        className: "interface-cell-detail"
      }, _react.default.createElement(_amosAntd.Row, null, _react.default.createElement(_amosAntd.Col, {
        span: 24
      }, _react.default.createElement("div", {
        className: "interface-cell-title"
      }, _react.default.createElement("label", {
        style: {
          color: "black",
          fontSize: "large",
          marginLeft: "1.5rem"
        }
      }, t.displayName), 0 !== a ? _react.default.createElement("div", {
        onClick: this.deleteInfo,
        className: "interface-cell-delete-button"
      }, _react.default.createElement("img", {
        src: require("./../../../assets/iot/img/mk_delect.png"),
        alt: ""
      })) : null, 0 !== a ? _react.default.createElement(_EditInterfaceProperty.default, {
        propertyInfo: t,
        requestIntfcAttrs: r
      }) : null), _react.default.createElement("div", {
        className: "interface-cell-content"
      }, _react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        title: "属性名：",
        content: t.name
      }, _react.default.createElement("label", null, "属性名：", t.name)), _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        title: "显示名称：",
        content: t.displayName
      }, _react.default.createElement("div", null, "显示名称：", t.displayName))), _react.default.createElement("div", null, _react.default.createElement("div", {
        className: "single-info"
      }, "分类：", l)), _react.default.createElement("div", null, _react.default.createElement("div", {
        className: "single-info"
      }, "数据类型：", n)), "浮点型" === n ? _react.default.createElement("div", null, _react.default.createElement("div", {
        className: "single-info"
      }, "精度：", t.precision)) : null, this.getDataContent(t), _react.default.createElement("div", null, _react.default.createElement("div", {
        className: "single-info"
      }, "默认值：", i)), _react.default.createElement("div", null, _react.default.createElement("div", {
        className: "single-info"
      }, "单位：", t.unit)), _react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        title: "描述：",
        content: t.descr
      }, _react.default.createElement("div", {
        className: "single-info"
      }, "描述：", t.descr)))))));
    }
  } ]), r;
}(_react.Component);

InterfacePropertyCell.displayName = "InterfacePropertyCell", InterfacePropertyCell.propTypes = {
  deleteInterfaceProperty: _propTypes.default.func,
  propertyInfo: _propTypes.default.any
};

var _default = InterfacePropertyCell;

exports.default = _default;