"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _processor = require("../../../../utils/processor"), _urlConsts = require("../../../../consts/urlConsts"), _amosFramework = require("amos-framework"), _CapacityInterfaceCell = _interopRequireDefault(require("./CapacityInterfaceCell")), _AddCapacityInterface = _interopRequireDefault(require("./../deviceAddEdit/AddCapacityInterface"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var i in e) if ("default" !== i && Object.prototype.hasOwnProperty.call(e, i)) {
    var c = n ? Object.getOwnPropertyDescriptor(e, i) : null;
    c && (c.get || c.set) ? Object.defineProperty(a, i, c) : a[i] = e[i];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, n);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./../device-detail.scss");

var CapacityInterface = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "fetchCapacityInterface", (function(e) {
      var t = a.props.interfaceInfo, r = [];
      return void 0 !== t && t.map((function(e) {
        r.push(_react.default.createElement(_CapacityInterfaceCell.default, (0, _extends2.default)({
          key: e.capaIntId,
          propertyInfo: e,
          deleteInterfaceProperty: a.deleteInterfaceProperty
        }, a.props)));
      })), r;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "deleteInterfaceProperty", (function(e) {
      var t = a.delInterface;
      _amosAntd.Modal.confirm({
        title: "删除",
        content: "是否删除所选属性？",
        okText: "确定",
        cancelText: "取消",
        onOk: function() {
          t(e);
        },
        onCancel: function() {}
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "delInterface", (function(e) {
      var t = "".concat(_urlConsts.OltSerUrl.deleteCapacityInterface, "/").concat(e);
      _processor.AmosFetch.del(t).then((function(e) {
        if (e.ok) return e.text();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        _amosFramework.message.success("删除成功！"), a.props.getDeviceInfoById(a.props.deviceId);
      }));
    })), a.state = {}, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this.props, t = e.getDeviceInfoById, r = e.interfaceInfo, a = e.deviceId, n = e.capacityId, i = e.protocolId, c = e.visibility;
      return _react.default.createElement("div", {
        className: "capacity-interface"
      }, _react.default.createElement("div", {
        className: "capacity-detail-interface"
      }, _react.default.createElement("label", null, "设备接口"), 1 === c ? _react.default.createElement(_AddCapacityInterface.default, (0, 
      _extends2.default)({
        deviceId: a,
        capacityId: n,
        interfaceInfo: r,
        getDeviceInfoById: t,
        protocolId: i
      }, this.props)) : null), _react.default.createElement("div", {
        className: "capacity-detail-interface-content"
      }, this.fetchCapacityInterface()));
    }
  } ]), r;
}(_react.Component);

CapacityInterface.displayName = "CapacityInterface", CapacityInterface.propTypes = {
  interfaceInfo: _propTypes.default.array,
  deviceId: _propTypes.default.number,
  getDeviceInfoById: _propTypes.default.func,
  capacityId: _propTypes.default.number,
  protocolId: _propTypes.default.number
};

var _default = CapacityInterface;

exports.default = _default;