"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _DeviceEnum = require("./../../common/DeviceEnum"), _DeviceLang = require("./../../common/DeviceLang"), _EditCapacityInterface = _interopRequireDefault(require("./../deviceAddEdit/EditCapacityInterface"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var l in e) if ("default" !== l && Object.prototype.hasOwnProperty.call(e, l)) {
    var n = i ? Object.getOwnPropertyDescriptor(e, l) : null;
    n && (n.get || n.set) ? Object.defineProperty(a, l, n) : a[l] = e[l];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./../device-detail.scss");

var CapacityInterfaceCell = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "handleEditProperty", (function(e) {
      console.log();
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleAddProperty", (function(e) {
      console.log();
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "deleteCurrentCapacityInterface", (function() {
      var e = a.props.propertyInfo;
      a.props.deleteInterfaceProperty(e.capaIntId);
    })), a.state = {
      textEdit: !1
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this.props, t = e.propertyInfo, r = e.visibility;
      return _react.default.createElement("div", {
        className: "capacity-cell-detail"
      }, _react.default.createElement(_amosAntd.Row, null, _react.default.createElement(_amosAntd.Col, {
        span: 24
      }, _react.default.createElement("div", {
        className: "capacity-cell-title"
      }, _react.default.createElement("div", {
        className: "capacity-cell-title-text"
      }, t.intfcName), 1 === r ? _react.default.createElement("span", null, _react.default.createElement(_EditCapacityInterface.default, (0, 
      _extends2.default)({
        propertyInfo: t
      }, this.props)), _react.default.createElement("div", {
        className: "capacity-cell-delete-button",
        onClick: this.deleteCurrentCapacityInterface
      }, _react.default.createElement("img", {
        src: require("./../../../../assets/iot/img/mk_delect.png"),
        alt: ""
      }), _react.default.createElement("label", null))) : null), _react.default.createElement("div", {
        className: "capacity-cell-content"
      }, _react.default.createElement("div", null, _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        title: "接口：",
        content: t.intfcName
      }, _react.default.createElement("div", {
        className: "single-info"
      }, "接口：", t.intfcName))), _react.default.createElement("div", null, _react.default.createElement("div", {
        className: "single-info"
      }, "方向：", (0, _DeviceLang.stringUtil)(_DeviceEnum.interfaceDirectionEnum, t.intfcDirection)))))));
    }
  } ]), r;
}(_react.Component);

CapacityInterfaceCell.displayName = "CapacityInterfaceCell", CapacityInterfaceCell.propTypes = {
  deleteInterfaceProperty: _propTypes.default.func,
  propertyInfo: _propTypes.default.object,
  key: _propTypes.default.number
};

var _default = CapacityInterfaceCell;

exports.default = _default;