"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _processor = require("../../../../utils/processor"), _urlConsts = require("../../../../consts/urlConsts"), _amosFramework = require("amos-framework"), _DeviceCapacityCell = _interopRequireDefault(require("./DeviceCapacityCell")), _AddDeviceCapacity = _interopRequireDefault(require("./../deviceAddEdit/AddDeviceCapacity"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, a = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var c in e) if ("default" !== c && Object.prototype.hasOwnProperty.call(e, c)) {
    var n = a ? Object.getOwnPropertyDescriptor(e, c) : null;
    n && (n.get || n.set) ? Object.defineProperty(i, c, n) : i[c] = e[c];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var a = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, a);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./../device-detail.scss");

var DeviceCapacity = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "updateNewInfo", (function() {
      i.fetchDeviceCapacity(i.props);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "fetchDeviceCapacity", (function(e) {
      var t = e.device, r = e.getDeviceInfoById, a = e.deviceInterfaces, c = t.capabilities, n = [];
      if (c && c.length > 0) for (var o = function(e) {
        var o = c[e], l = "".concat(_urlConsts.OltSerUrl.fetchCapacityListInfoById, "/").concat(o.id);
        _processor.AmosFetch.get(l).then((function(e) {
          if (e.ok) return e.json();
          throw new Error("从服务端获取数据失败！");
        })).then((function(l) {
          if ("SUCCESS" === l.result) {
            var u = l.dataList;
            if (u) {
              var s = u.interface, p = u.property, d = u.protocolName, f = o.protocolId;
              (0, _extends2.default)(o, {
                interfaceInfo: s,
                protocolName: d,
                propertyInfo: p
              }), n.push(_react.default.createElement(_DeviceCapacityCell.default, {
                protocolId: f,
                capacityId: o.id,
                deviceId: t.id,
                getDeviceInfoById: r,
                key: e,
                listInfo: o,
                deleteCapacityProperty: i.deleteCapacityProperty,
                addCapacityProperty: i.addCapacityProperty,
                deviceInterfaces: a,
                updateNewInfo: i.updateNewInfo,
                visibility: t.visibility
              }));
            }
          }
          e === c.length - 1 && i.setState({
            capaCityList: n
          });
        }));
      }, l = 0; l < c.length; l++) o(l); else i.setState({
        capaCityList: []
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "deleteCapacityProperty", (function(e) {
      var t = i.delCapacity;
      _amosAntd.Modal.confirm({
        title: "删除",
        content: "是否删除所选属性？",
        okText: "确定",
        cancelText: "取消",
        onOk: function() {
          t(e);
        },
        onCancel: function() {}
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "addCapacityProperty", (function() {
      var e = i.props.device.id;
      i.props.getDeviceInfoById(e);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "delCapacity", (function(e) {
      var t = i.props.device.id, r = "".concat(_urlConsts.OltSerUrl.deleteDeviceCapacity, "/").concat(e);
      _processor.AmosFetch.del(r).then((function(e) {
        if (e.ok) return e.text();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        _amosFramework.message.success("删除成功！"), i.props.getDeviceInfoById(t);
      }));
    })), i.state = {
      capaCityList: []
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {
      void 0 === e.device || e.deviceInterfaces === this.props.deviceInterfaces && e.device === this.props.device || this.fetchDeviceCapacity(e);
    }
  }, {
    key: "render",
    value: function() {
      var e = this.state.capaCityList, t = this.props, r = t.device, i = t.getDeviceInfoById, a = t.deviceInterfaces;
      return _react.default.createElement("div", {
        className: "device-capacity"
      }, _react.default.createElement("div", {
        className: "device-detail-capacity"
      }, _react.default.createElement("label", null, "数据采集"), 1 === r.visibility ? _react.default.createElement(_AddDeviceCapacity.default, {
        deviceInterfaces: a,
        deviceId: r.id,
        visibility: r.visibility,
        getDeviceInfoById: i
      }) : null), _react.default.createElement("div", {
        className: "device-detail-capacity-content"
      }, e));
    }
  } ]), r;
}(_react.Component);

DeviceCapacity.displayName = "DeviceCapacity", DeviceCapacity.propTypes = {
  device: _propTypes.default.object,
  getDeviceInfoById: _propTypes.default.func,
  deviceInterfaces: _propTypes.default.array
};

var _default = DeviceCapacity;

exports.default = _default;