"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _processor = require("../../../../utils/processor"), _urlConsts = require("../../../../consts/urlConsts"), _amosFramework = require("amos-framework"), _DeviceInterfaceCell = _interopRequireDefault(require("./DeviceInterfaceCell")), _AddDeviceInterface = _interopRequireDefault(require("./../deviceAddEdit/AddDeviceInterface"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var a in e) if ("default" !== a && Object.prototype.hasOwnProperty.call(e, a)) {
    var c = n ? Object.getOwnPropertyDescriptor(e, a) : null;
    c && (c.get || c.set) ? Object.defineProperty(i, a, c) : i[a] = e[a];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, n);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./../device-detail.scss");

var DeviceInterface = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "fetchDeviceInterface", (function(e) {
      var t = e.device, r = "".concat(_urlConsts.OltSerUrl.fetchDeviceInterfaceById, "/").concat(t.id);
      _processor.AmosFetch.get(r).then((function(e) {
        if (e.ok) return e.json();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        if ("SUCCESS" === e.result) {
          var r = e.dataList, n = [];
          if (void 0 !== r) {
            for (var a = 0; a < r.length; a++) {
              var c = r[a];
              n.push(_react.default.createElement(_DeviceInterfaceCell.default, (0, _extends2.default)({
                deviceId: t.id,
                key: a,
                visibility: t.visibility,
                propertyInfo: c,
                deleteInterfaceProperty: i.deleteInterfaceProperty
              }, i.props)));
            }
            i.setState({
              interfaceList: n
            }), i.props.saveDeviceInterfaces(r);
          }
        }
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "deleteInterfaceProperty", (function(e) {
      var t = i.delInterface;
      _amosAntd.Modal.confirm({
        title: "删除",
        content: "是否删除所选属性？",
        okText: "确定",
        cancelText: "取消",
        onOk: function() {
          t(e);
        },
        onCancel: function() {}
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "delInterface", (function(e) {
      var t = i.props.device.id, r = "".concat(_urlConsts.OltSerUrl.deleteDeviceInterface, "/").concat(e);
      _processor.AmosFetch.del(r).then((function(e) {
        if (e.ok) return e.text();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        _amosFramework.message.success("删除成功！"), i.props.getDeviceInfoById(t);
      }));
    })), i.state = {
      interfaceList: []
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {
      void 0 !== e.device && e.device !== this.props.device && this.fetchDeviceInterface(e);
    }
  }, {
    key: "render",
    value: function() {
      var e = this.state.interfaceList, t = this.props, r = t.device, i = t.getDeviceInfoById;
      return _react.default.createElement("div", {
        className: "device-interface"
      }, _react.default.createElement("div", {
        className: "device-detail-interface"
      }, _react.default.createElement("label", null, "设备接口"), 1 === r.visibility ? _react.default.createElement(_AddDeviceInterface.default, {
        deviceId: r.id,
        getDeviceInfoById: i
      }) : null), _react.default.createElement("div", {
        className: "device-detail-interface-content"
      }, e));
    }
  } ]), r;
}(_react.Component);

DeviceInterface.displayName = "DeviceInterface", DeviceInterface.propTypes = {
  device: _propTypes.default.object,
  getDeviceInfoById: _propTypes.default.func,
  saveDeviceInterfaces: _propTypes.default.func
};

var _default = DeviceInterface;

exports.default = _default;