"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _processor = require("../../../utils/processor"), _amosAntd = require("amos-antd"), _amosFramework = require("amos-framework"), _urlConsts = _interopRequireDefault(require("../../../consts/urlConsts")), _TableCard = _interopRequireDefault(require("./TableCard")), _AddProtocolCard = _interopRequireDefault(require("./AddProtocolCard"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var r = new WeakMap, t = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? t : r;
  })(e);
}

function _interopRequireWildcard(e, r) {
  if (!r && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var t = _getRequireWildcardCache(r);
  if (t && t.has(e)) return t.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var o = i ? Object.getOwnPropertyDescriptor(e, n) : null;
    o && (o.get || o.set) ? Object.defineProperty(a, n, o) : a[n] = e[n];
  }
  return a.default = e, t && t.set(e, a), a;
}

function _createSuper(e) {
  var r = _isNativeReflectConstruct();
  return function() {
    var t, a = (0, _getPrototypeOf2.default)(e);
    if (r) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      t = Reflect.construct(a, arguments, i);
    } else t = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, t);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var TableContainer = function(e) {
  (0, _inherits2.default)(t, e);
  var r = _createSuper(t);
  function t(e) {
    var a;
    return (0, _classCallCheck2.default)(this, t), a = r.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "delInfo", (function(e) {
      var r = "".concat(_urlConsts.default.protocolDelete, "/").concat(e);
      _processor.AmosFetch.del(r).then((function(e) {
        if (e.ok) return e.text();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        _amosFramework.message.success("删除成功！");
        var r = a.props, t = r.visibility, i = r.criterias;
        a.props.requestMethod(t, i);
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "showTable", (function() {
      var e = a.props.dataList, r = [], t = a.props, i = t.visibility, n = t.isDel;
      return "1" === i && r.push(_react.default.createElement(_AddProtocolCard.default, (0, 
      _extends2.default)({
        key: 0
      }, a.props))), e.length > 0 && e.map((function(e) {
        r.push(_react.default.createElement(_TableCard.default, (0, _extends2.default)({
          key: e.id
        }, a.props, {
          cardData: e,
          delInfo: a.delInfo,
          isDel: n
        })));
      })), r;
    })), a.state = {}, a;
  }
  return (0, _createClass2.default)(t, [ {
    key: "componentWillMount",
    value: function() {}
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {}
  }, {
    key: "render",
    value: function() {
      return _react.default.createElement("div", {
        className: "table-container"
      }, this.showTable());
    }
  } ]), t;
}(_react.Component);

TableContainer.displayName = "TableContainer", TableContainer.propTypes = {
  isDel: _propTypes.default.bool,
  criterias: _propTypes.default.array,
  visibility: _propTypes.default.string,
  requestMethod: _propTypes.default.func,
  dataList: _propTypes.default.any
};

var _default = TableContainer;

exports.default = _default;