"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosFramework = require("amos-framework"), _urlConsts = require("../../../consts/urlConsts"), _request = require("../../../utils/request"), _urlFormat = _interopRequireDefault(require("amos-processor/lib/utils/urlFormat"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, o = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var i = o ? Object.getOwnPropertyDescriptor(e, n) : null;
    i && (i.get || i.set) ? Object.defineProperty(a, n, i) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var o = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, o);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var ToolBar = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onClick", (function(e, t) {
      (0, a.props.onButtonClick)(t);
    })), a.state = {}, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillMount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this, t = {
        name: "file",
        action: (0, _urlFormat.default)(_urlConsts.IecUrl.iecImportUrl, {
          serviceId: this.props.serviceId,
          pointType: this.props.pointType
        }),
        showUploadList: !1,
        headers: (0, _request.compleHeaders)(),
        onChange: function(e) {
          "uploading" !== e.file.status && console.log(e.file, e.fileList), "done" === e.file.status ? (_amosFramework.message.success("".concat(e.file.name, " 上传成功")), 
          this.props.reload()) : "error" === e.file.status && _amosFramework.message.danger("".concat(e.file.name, " 上传失败"));
        }
      };
      return _react.default.createElement("div", {
        className: "risk-lever-toolbar"
      }, _react.default.createElement("div", {
        className: "risk-lever-button"
      }, _react.default.createElement(_amosFramework.Button, {
        title: "添加",
        icon: _react.default.createElement(_amosFramework.Icon, {
          icon: "add-noborder"
        }),
        transparent: !0,
        onClick: function(t) {
          return e.onClick(t, "point-1");
        }
      }), _react.default.createElement(_amosFramework.Button, {
        title: "删除",
        icon: _react.default.createElement(_amosFramework.Icon, {
          icon: "delete"
        }),
        transparent: !0,
        onClick: function(t) {
          return e.onClick(t, "point-2");
        }
      }), _react.default.createElement(_amosFramework.Button, {
        title: "编辑",
        icon: _react.default.createElement(_amosFramework.Icon, {
          icon: "edit"
        }),
        transparent: !0,
        onClick: function(t) {
          return e.onClick(t, "point-3");
        }
      }), _react.default.createElement(_amosFramework.Upload, t, _react.default.createElement(_amosFramework.Button, {
        title: "导入",
        icon: _react.default.createElement(_amosFramework.Icon, {
          icon: "upload"
        }),
        transparent: !0
      })), _react.default.createElement(_amosFramework.Button, {
        title: "清空",
        icon: _react.default.createElement(_amosFramework.Icon, {
          icon: "hdd"
        }),
        transparent: !0,
        onClick: function(t) {
          return e.onClick(t, "point-5");
        }
      }), _react.default.createElement(_amosFramework.Button, {
        title: "下载模板",
        icon: _react.default.createElement(_amosFramework.Icon, {
          icon: "download"
        }),
        transparent: !0,
        onClick: function(t) {
          return e.onClick(t, "point-6");
        }
      })));
    }
  } ]), r;
}(_react.Component);

ToolBar.displayName = "ToolBar", ToolBar.propTypes = {
  onButtonClick: _propTypes.default.func,
  pointType: _propTypes.default.string,
  serviceId: _propTypes.default.string,
  reload: _propTypes.default.func
};

var _default = ToolBar;

exports.default = _default;