"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, l = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var u = l ? Object.getOwnPropertyDescriptor(e, n) : null;
    u && (u.get || u.set) ? Object.defineProperty(a, n, u) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var l = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, l);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var FormItem = _amosAntd.Form.Item, createForm = _amosAntd.Form.create(), formItemLayout = {
  labelCol: {
    xs: {
      span: 24
    },
    sm: {
      span: 5
    }
  },
  wrapperCol: {
    xs: {
      span: 24
    },
    sm: {
      span: 16
    }
  }
}, AlarmDetail = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onClick", (function() {
      a.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleCancel", (function(e) {
      a.setState({
        visible: !1
      });
    })), a.state = {
      visible: !1
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this.props.alarmInfo, t = e.name, r = e.level, a = e.status, l = e.type, n = e.durationDate, u = e.count, i = e.descr;
      return _react.default.createElement("span", null, _react.default.createElement("div", null, _react.default.createElement(_amosAntd.Form, {
        horizontal: !0
      }, _react.default.createElement(FormItem, (0, _extends2.default)({}, formItemLayout, {
        label: "告警源: "
      }), _react.default.createElement("span", null, t)), _react.default.createElement(FormItem, (0, 
      _extends2.default)({}, formItemLayout, {
        label: "描述: "
      }), _react.default.createElement("span", null, i)), _react.default.createElement(FormItem, (0, 
      _extends2.default)({}, formItemLayout, {
        label: "告警级别: "
      }), _react.default.createElement("span", null, 1 === r ? "一级" : 2 === r ? "二级" : "三级")), _react.default.createElement(FormItem, (0, 
      _extends2.default)({}, formItemLayout, {
        label: "告警类型："
      }), _react.default.createElement("span", null, 1 === l ? "指标越界" : 2 === l ? "采集异常" : "设备掉线")), _react.default.createElement(FormItem, (0, 
      _extends2.default)({}, formItemLayout, {
        label: "状态: "
      }), _react.default.createElement("span", null, 1 === a ? "未处理" : 2 === a ? "历史告警" : "已删除")), _react.default.createElement(FormItem, (0, 
      _extends2.default)({}, formItemLayout, {
        label: "持续时间: "
      }), _react.default.createElement("span", null, n)), _react.default.createElement(FormItem, (0, 
      _extends2.default)({}, formItemLayout, {
        label: "告警次数: "
      }), _react.default.createElement("span", null, u)))));
    }
  } ]), r;
}(_react.Component);

AlarmDetail.displayName = "AlarmDetail", AlarmDetail.propTypes = {
  form: _propTypes.default.any,
  alarmInfo: _propTypes.default.any
};

var _default = createForm(AlarmDetail);

exports.default = _default;