"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _amosIcon = _interopRequireDefault(require("amos-icon")), _processor = require("../../../utils/processor"), _urlConsts = _interopRequireDefault(require("../../../consts/urlConsts")), _AlarmDetail = _interopRequireDefault(require("./AlarmDetail"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, l = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var i = l ? Object.getOwnPropertyDescriptor(e, n) : null;
    i && (i.get || i.set) ? Object.defineProperty(a, n, i) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var l = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, l);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var AlarmInfoCell = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onClick", (function() {
      a.props.onHide(), a.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleCancel", (function(e) {
      a.setState({
        visible: !1
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "clearAlarm", (function() {
      var e = a.props.data, t = [];
      t.push(e.id);
      var r = {
        alarmIds: t,
        status: 2,
        remark: "告警已处理！"
      };
      _processor.AmosFetch.post(_urlConsts.default.deleteAlarm, {
        data: r
      }).then((function(e) {
        if (e.ok) return e.json();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        if ("SUCCESS" === e.result) {
          a.props.getAlarmMessageCount(), a.handleCancel();
          var t = _amosAntd.Modal.warning({
            title: "系统提示",
            content: "清除成功！",
            okText: "确定"
          });
          setTimeout((function() {
            return t.destroy();
          }), 2e3);
        } else {
          var r = _amosAntd.Modal.warning({
            title: "系统提示",
            content: "清除失败！",
            okText: "确定"
          });
          setTimeout((function() {
            return r.destroy();
          }), 2e3);
        }
      }));
    })), a.state = {
      visible: !1
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this.props, t = e.data, r = e.numb, a = e.className;
      return _react.default.createElement("div", {
        className: "middle-context-css",
        onClick: this.onClick
      }, _react.default.createElement("div", {
        className: "cell-alarm-info"
      }, _react.default.createElement("div", {
        className: a
      }, _react.default.createElement("div", {
        style: {
          marginTop: "-8px"
        }
      }, _react.default.createElement("h1", null, r))), _react.default.createElement("div", {
        className: "cell-alarm-info-center"
      }, _react.default.createElement("p", {
        className: "p"
      }, t.name), _react.default.createElement("p", {
        className: "p"
      }, t.descr)), _react.default.createElement("div", {
        className: "right-icon-css"
      }, _react.default.createElement(_amosIcon.default, {
        icon: "right"
      }))), _react.default.createElement("div", {
        className: "segmenting-line-css"
      }), _react.default.createElement(_amosAntd.Modal, {
        title: "告警详情",
        visible: this.state.visible,
        onCancel: this.handleCancel,
        okText: "清除",
        onOk: this.clearAlarm
      }, _react.default.createElement(_AlarmDetail.default, {
        alarmInfo: t
      })));
    }
  } ]), r;
}(_react.Component);

AlarmInfoCell.displayName = "AlarmInfoCell", AlarmInfoCell.propTypes = {
  data: _propTypes.default.any,
  numb: _propTypes.default.any,
  className: _propTypes.default.any,
  onHide: _propTypes.default.func,
  getAlarmMessageCount: _propTypes.default.func
};

var _default = AlarmInfoCell;

exports.default = _default;