"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _amosFramework = require("amos-framework"), _propTypes = _interopRequireDefault(require("prop-types")), _rayEventpool = require("ray-eventpool"), _stageConf = require("./../ruleStatge/modelConf/stageConf"), _ruleDesignService = require("./../../../services/ruleDesignService");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var a in e) if ("default" !== a && Object.prototype.hasOwnProperty.call(e, a)) {
    var u = n ? Object.getOwnPropertyDescriptor(e, a) : null;
    u && (u.get || u.set) ? Object.defineProperty(i, a, u) : i[a] = e[a];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, n);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var textOverFlow = {
  overflow: "hidden",
  textOverflow: "ellipsis",
  whiteSpace: "nowrap",
  display: "inline-block"
}, buttonProps = {
  transparent: !0,
  size: "sm",
  style: {
    margin: 0
  }
}, inputProps = {
  size: "sm"
}, ElementEditor = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "saveNodeLabel", (function(e, t, r) {
      _rayEventpool.PubSub.publish(_stageConf.ELE_UPDATE_TOPIC.trigger, {
        label: t,
        nodeId: e
      }), (0, _ruleDesignService.updateNodeLabel)({
        id: e,
        displayName: t
      }).then((function(e) {
        r && r(t), i.setState({
          value: t
        });
      }), (function(e) {
        _amosFramework.message.danger(e || "修改节点名称失败！");
      }));
    })), i.state = {
      value: i.props.label
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      var e = this;
      this.pubsub_update = _rayEventpool.PubSub.subscribe(_stageConf.ELE_UPDATE_TOPIC.eleUpdate, (function(t, r) {
        var i = r.label;
        r.nodeId === e.props.eleId && e.setState({
          value: i
        });
      }));
    }
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {}
  }, {
    key: "componentWillUnmount",
    value: function() {
      _rayEventpool.PubSub.unsubscribe(this.pubsub_update);
    }
  }, {
    key: "render",
    value: function() {
      var e = this, t = this.props, r = t.eleId, i = t.editCallBack;
      return _react.default.createElement(_amosFramework.Editable, {
        innerClassName: "element-editor",
        value: this.state.value,
        onChange: function(t) {
          return e.saveNodeLabel(r, t, i);
        },
        size: "sm",
        editIcon: !1,
        buttonProps: buttonProps,
        innerValueStyle: textOverFlow,
        inputProps: inputProps,
        showOkCancel: !1
      });
    }
  } ]), r;
}(_react.Component);

ElementEditor.displayName = "ElementEditor", ElementEditor.propTypes = {
  label: _propTypes.default.string,
  eleId: _propTypes.default.string,
  editCallBack: _propTypes.default.func
};

var _default = ElementEditor;

exports.default = _default;