"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _classnames = _interopRequireDefault(require("classnames")), _amosTool = require("amos-tool"), _enhancePortal = _interopRequireDefault(require("dt2react/lib/react/enhancePortal")), _stageConf = require("./../modelConf/stageConf");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, l = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var o in e) if ("default" !== o && Object.prototype.hasOwnProperty.call(e, o)) {
    var n = l ? Object.getOwnPropertyDescriptor(e, o) : null;
    n && (n.get || n.set) ? Object.defineProperty(a, o, n) : a[o] = e[o];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var l = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, l);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var catalogList = {
  status: {
    type: "status",
    text: "状态"
  },
  trigger: {
    type: "trigger",
    text: "触发器"
  },
  flowAction: {
    type: "flowAction",
    text: "动作"
  },
  note: {
    type: "note",
    text: "注释"
  },
  lineDashed: {
    type: "lineDashed",
    text: "虚线"
  },
  lineSolid: {
    type: "lineSolid",
    text: "实线"
  }
}, EleCatalogPanel = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onCatalogItemClick", (function(e) {
      a.setState({
        currentCatalogText: e
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "dragStart", (function(e, t, r) {
      var a = "".concat(e, "#").concat(t);
      r.dataTransfer.setData("FlowChartNode", a);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "renderItem", (function(e, t) {
      var r = e.type, l = e.icon, o = e.text;
      return _react.default.createElement("div", {
        key: r,
        className: "catalog-item",
        onClick: function() {
          return a.onCatalogItemClick(o);
        },
        onDragStart: function(e) {
          return a.dragStart(r, t, e);
        }
      }, _react.default.createElement("img", {
        src: l,
        alt: ""
      }));
    })), a.state = {
      currentCatalogText: ""
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this, t = this.state.currentCatalogText, r = this.props, a = r.catalogs, l = r.visible, o = r.destroyContent, n = r.position, i = r.sourceId, u = r.zIndex, s = (0, 
      _classnames.default)({
        "ele-catalog-portal": !0,
        "ele-catalog-portal-open": l,
        "ele-catalog-portal-closed": !l
      }), c = [];
      a.forEach((function(e) {
        var t = catalogList[e];
        t && (t.icon = (0, _amosTool.parseText)(_stageConf.eleCatalogIconPrefix, {
          icon: t.type
        }), c.push(catalogList[e]));
      }));
      var f = _react.default.createElement("div", {
        className: "ele-catalog-content"
      }, _react.default.createElement("div", {
        className: "catalog-list"
      }, c.map((function(t) {
        return e.renderItem(t, i);
      }))), _react.default.createElement("div", {
        className: "catalog-explain"
      }, t)), p = {};
      return n && (p.left = n.left || 0, p.top = n.top || 0), _amosTool.utils.isNil(u) || (p.zIndex = u), 
      _react.default.createElement("div", {
        className: s,
        style: p
      }, l || !o ? f : null);
    }
  } ]), r;
}(_react.Component);

(0, _defineProperty2.default)(EleCatalogPanel, "propTypes", {
  catalogs: _propTypes.default.array,
  visible: _propTypes.default.bool,
  destroyContent: _propTypes.default.bool,
  getContainer: _propTypes.default.func,
  position: _propTypes.default.object,
  sourceId: _propTypes.default.string,
  zIndex: _propTypes.default.number
}), (0, _defineProperty2.default)(EleCatalogPanel, "defaultProps", {
  destroyContent: !1,
  getContainer: function() {
    return document.body;
  }
}), EleCatalogPanel.displayName = "EleCatalogPanel";

var _default = (0, _enhancePortal.default)(EleCatalogPanel, {
  key: "ele-catalog-modal"
});

exports.default = _default;