"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _addEditRule = _interopRequireDefault(require("./addEditRule"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var a in e) if ("default" !== a && Object.prototype.hasOwnProperty.call(e, a)) {
    var o = n ? Object.getOwnPropertyDescriptor(e, a) : null;
    o && (o.get || o.set) ? Object.defineProperty(i, a, o) : i[a] = e[a];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, n);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

require("./common/index.scss");

var monitorObjColumns = function(e) {
  return [ {
    title: "名称",
    dataIndex: "name",
    key: "name",
    width: "20%"
  }, {
    title: "型号",
    dataIndex: "model",
    key: "model",
    width: "20%"
  }, {
    title: "类型",
    dataIndex: "type",
    key: "type",
    width: "20%",
    render: function(e, t) {
      return 1 === e ? "采集设备" : 2 === e ? "传感设备" : 3 === e ? "控制设备" : "";
    }
  }, {
    title: "描述",
    dataIndex: "descr",
    key: "descr",
    width: "40%"
  } ];
}, MonitorObjList = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "onClick", (function() {
      i.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handleCancel", (function() {
      i.setState({
        visible: !1
      });
    })), i.state = {
      visible: !1
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillMount",
    value: function() {}
  }, {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {}
  }, {
    key: "render",
    value: function() {
      var e = this.props, t = e.text, r = e.monitorRuleInfo;
      return console.log(r.deviceObjList), _react.default.createElement("span", null, _react.default.createElement("a", {
        onClick: this.onClick
      }, t), _react.default.createElement(_amosAntd.Modal, {
        title: "监测对象",
        visible: this.state.visible,
        width: 800,
        onCancel: this.handleCancel,
        footer: null,
        maskClosable: false
      }, _react.default.createElement(_amosAntd.Table, {
        columns: monitorObjColumns(),
        dataSource: r.deviceObjList,
        bordered: !0,
        pagination: false
      })));
    }
  } ]), r;
}(_react.Component);

MonitorObjList.displayName = "MonitorObjList", MonitorObjList.propTypes = {
  text: _propTypes.default.any,
  monitorRuleInfo: _propTypes.default.any
}, MonitorObjList.defaultProps = {};

var _default = MonitorObjList;

exports.default = _default;