"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _amosFramework = require("amos-framework"), _amosIcon = _interopRequireDefault(require("amos-icon")), _processor = require("../../../utils/processor"), _urlConsts = _interopRequireDefault(require("../../../consts/urlConsts"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var o in e) if ("default" !== o && Object.prototype.hasOwnProperty.call(e, o)) {
    var n = i ? Object.getOwnPropertyDescriptor(e, o) : null;
    n && (n.get || n.set) ? Object.defineProperty(a, o, n) : a[o] = e[o];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var createForm = _amosAntd.Form.create(), FormItem = _amosAntd.Form.Item, formItemLayout = {
  labelCol: {
    xs: {
      span: 24
    },
    sm: {
      span: 6
    }
  },
  wrapperCol: {
    xs: {
      span: 24
    },
    sm: {
      span: 16
    }
  }
}, EditView = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "onClick", (function() {
      a.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "addView", (function(e) {})), 
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "checkValidate", (function(e, t, r) {
      new RegExp(/^\S*$/).test(t) ? r() : r("支持1-20位非空格字符！");
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handCancel", (function() {
      a.props.form.resetFields(), a.setState({
        visible: !1
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "handleSubmit", (function() {
      var e = a.props.currentNode;
      a.props.form.validateFields((function(t, r) {
        if (!t) {
          var i = {
            id: e.id,
            name: r.newNodeName,
            orgCode: e.orgCode
          };
          a.saveSubgraphData(i), a.props.form.resetFields(), a.setState({
            visible: !1
          });
        }
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "saveSubgraphData", (function(e) {
      _processor.AmosFetch.post(_urlConsts.default.addSubgraph, {
        data: e
      }).then((function(e) {
        if (e.ok) return e.text();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        var t = JSON.parse(e);
        "SUCCESS" === t.result ? (a.props.getSubviewByOrgCode(a.props.orgId), _amosFramework.message.success("保存成功")) : _amosFramework.message.danger("保存失败：".concat(t.message));
      }));
    })), a.state = {
      visible: !1
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillMount",
    value: function() {}
  }, {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "componentWillReceiveProps",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this.props.form.getFieldProps, t = this.props.currentNode, r = e("newNodeName", {
        initialValue: t ? t.name : "",
        rules: [ {
          required: !0,
          message: "支持1-20位非空格字符！"
        }, {
          validator: this.checkValidate
        } ]
      });
      return _react.default.createElement("div", {
        className: "edit-view-root",
        style: {
          position: "absolute",
          top: "-5px",
          right: "9px",
          "font-size": "1.6rem"
        }
      }, _react.default.createElement("div", {
        className: "tree-header-extra-item-edit",
        onClick: this.onClick,
        title: "修改视图"
      }, _react.default.createElement(_amosIcon.default, {
        icon: "edit"
      })), _react.default.createElement(_amosAntd.Modal, {
        maskClosable: !1,
        title: "修改视图",
        closable: !0,
        visible: this.state.visible,
        onCancel: this.handCancel,
        onOk: this.handleSubmit,
        width: 350
      }, _react.default.createElement(_amosAntd.Form, {
        horizontal: !0
      }, _react.default.createElement(FormItem, (0, _extends2.default)({}, formItemLayout, {
        hasFeedback: !0,
        label: "视图名称: "
      }), _react.default.createElement(_amosAntd.Input, (0, _extends2.default)({}, r, {
        placeholder: "视图名称（支持1-20位非空格字符）"
      }))))));
    }
  } ]), r;
}(_react.Component);

EditView.displayName = "EditView", EditView.propTypes = {
  form: _propTypes.default.any,
  selectedKeys: _propTypes.default.array,
  editTreeData: _propTypes.default.func,
  currentNode: _propTypes.default.object,
  getSubviewByOrgCode: _propTypes.default.any,
  orgId: _propTypes.default.any
};

var _default = createForm(EditView);

exports.default = _default;