"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosFramework = require("amos-framework"), _processor = require("../../../utils/processor"), _urlConsts = require("../../../consts/urlConsts"), _TopoTree = _interopRequireDefault(require("./TopoTree")), _topoMangent = _interopRequireDefault(require("./topoMangent"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, u = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var a in e) if ("default" !== a && Object.prototype.hasOwnProperty.call(e, a)) {
    var o = u ? Object.getOwnPropertyDescriptor(e, a) : null;
    o && (o.get || o.set) ? Object.defineProperty(i, a, o) : i[a] = e[a];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var u = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, u);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var TopoView = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "setCurrentSubviewId", (function(e, t, r, u, a) {
      i.getSubviewByOrgCode(e), i.setState({
        subviewId: e,
        subviewName: t,
        currentNode: r,
        selectedKeys: u,
        expandedKeys: a
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "getSubviewByOrgCode", (function(e) {
      var t = "".concat(_urlConsts.OltSerUrl.getSubviewByOrgCode, "/").concat(e);
      _processor.AmosFetch.get(t).then((function(e) {
        if (e.ok) return e.json();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        if ("SUCCESS" === e.result) {
          var t = e.dataList;
          i.setState({
            subviewList: t
          });
        } else {
          i.setState({
            subviewList: []
          });
        }
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "setCurrentName", (function(e) {
      i.setState({
        subviewName: e
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "delSubgraph", (function(e) {
      var t = "".concat(_urlConsts.OltSerUrl.delSubgraph, "/").concat(e);
      _processor.AmosFetch.del(t).then((function(e) {
        if (e.ok) return e.text();
        throw new Error("从服务端获取数据失败！");
      })).then((function(e) {
        _amosFramework.message.success("删除成功！"), i.getSubviewByOrgCode(i.state.subviewId);
      }));
    })), i.state = {
      subviewId: 0,
      subviewName: "",
      currentNode: {},
      selectedKeys: [],
      subviewList: []
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {}
  }, {
    key: "render",
    value: function() {
      var e = this.state, t = e.subviewId, r = e.subviewList, i = e.subviewName, u = e.expandedKeys;
      return _react.default.createElement("div", {
        className: "topo-root"
      }, _react.default.createElement("div", {
        className: "topo-view-head"
      }, "物理拓扑图"), _react.default.createElement(_TopoTree.default, (0, _extends2.default)({
        setCurrentSubviewId: this.setCurrentSubviewId,
        setCurrentName: this.setCurrentName
      }, this.props)), _react.default.createElement(_topoMangent.default, (0, _extends2.default)({
        subviewList: r,
        orgId: t,
        treeName: i,
        treeKey: u,
        getSubviewByOrgCode: this.getSubviewByOrgCode,
        delSubgraph: this.delSubgraph
      }, this.props)));
    }
  } ]), r;
}(_react.Component);

TopoView.displayName = "TopoView", TopoView.propTypes = {};

var _default = TopoView;

exports.default = _default;