"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = exports.FireAlarm = exports.HandsAlarm = exports.FireHydrant = exports.Heptafluoropropane = void 0;

var _fireNodeWrapper = _interopRequireDefault(require("./fireNodeWrapper")), Heptafluoropropane = (0, 
_fireNodeWrapper.default)({
  type: "heptafluoropropane",
  nodeIcon: "ele-heptafluoropropane"
});

exports.Heptafluoropropane = Heptafluoropropane;

var FireHydrant = (0, _fireNodeWrapper.default)({
  type: "fireHydrant",
  nodeIcon: "ele-fire-hydrant"
});

exports.FireHydrant = FireHydrant;

var HandsAlarm = (0, _fireNodeWrapper.default)({
  type: "handsAlarm",
  nodeIcon: "ele-hands-alarm"
});

exports.HandsAlarm = HandsAlarm;

var FireAlarm = (0, _fireNodeWrapper.default)({
  type: "fireAlarm",
  nodeIcon: "ele-fire-alarm"
});

exports.FireAlarm = FireAlarm;

var _default = {
  heptafluoropropane: Heptafluoropropane,
  fireHydrant: FireHydrant,
  handsAlarm: HandsAlarm,
  fireAlarm: FireAlarm
};

exports.default = _default;