"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosAntd = require("amos-antd"), _urlConsts = require("../../../../consts/urlConsts"), _EditView = _interopRequireDefault(require("./../EditView"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, a = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var u = a ? Object.getOwnPropertyDescriptor(e, n) : null;
    u && (u.get || u.set) ? Object.defineProperty(i, n, u) : i[n] = e[n];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var a = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, a);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var subviewItem = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "onClick", (function(e) {
      var t = i.props, r = t.subviewInfo, a = t.treeName, n = t.treeKey, u = t.orgId;
      r.orgName = a, r.expandedKeys = n, r.orgId = u, i.props.updateView("2", r);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "delView", (function(e) {
      var t = i.props, r = t.delSubgraph, a = t.subviewInfo;
      _amosAntd.Modal.confirm({
        title: "删除视图",
        content: "是否删除信息？",
        okText: "确定",
        cancelText: "取消",
        onOk: function() {
          r(a.id);
        },
        onCancel: function() {}
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "extraBtn", (function() {
      var e = i.props.subviewInfo, t = [];
      return t.push(_react.default.createElement(_EditView.default, (0, _extends2.default)({
        currentNode: e,
        selectedKeys: e.id,
        key: "edit"
      }, i.props))), t.push(_react.default.createElement("div", {
        key: "del",
        onClick: i.delView,
        title: "删除视图",
        className: "topo-info-add"
      }, _react.default.createElement(_amosAntd.Icon, {
        type: "close"
      }))), t;
    })), i.state = {
      visible: !1
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.props.subviewInfo, t = "".concat(_urlConsts.OltSerUrl.fetchDeviceImg, "/equip-view.png");
      return _react.default.createElement("div", {
        className: "table-card"
      }, _react.default.createElement(_amosAntd.Card, {
        title: e.name,
        extra: this.extraBtn()
      }, _react.default.createElement("div", {
        className: "index-add-img",
        onClick: this.onClick
      }, _react.default.createElement("img", {
        src: t,
        alt: "device",
        width: "184px",
        height: "110px"
      }))));
    }
  } ]), r;
}(_react.Component);

subviewItem.displayName = "subviewItem", subviewItem.propTypes = {
  subviewInfo: _propTypes.default.any,
  updateView: _propTypes.default.func,
  delSubgraph: _propTypes.default.func,
  orgName: _propTypes.default.any
};

var _default = subviewItem;

exports.default = _default;