"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.commonAddNode = exports.transferDropData = exports.stagePosition = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _amosJsplumb = require("amos-jsplumb");

function ownKeys(e, r) {
  var t = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var o = Object.getOwnPropertySymbols(e);
    r && (o = o.filter((function(r) {
      return Object.getOwnPropertyDescriptor(e, r).enumerable;
    }))), t.push.apply(t, o);
  }
  return t;
}

function _objectSpread(e) {
  for (var r = 1; r < arguments.length; r++) {
    var t = null != arguments[r] ? arguments[r] : {};
    r % 2 ? ownKeys(Object(t), !0).forEach((function(r) {
      (0, _defineProperty2.default)(e, r, t[r]);
    })) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach((function(r) {
      Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r));
    }));
  }
  return e;
}

var stagePosition = {
  spaceX: 110,
  spaceY: 60,
  defaultSpaceY: -150,
  ratio_1: 1,
  ratio_2: 1,
  ratio_3: 3
};

exports.stagePosition = stagePosition;

var transferDropData = function() {
  var e = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : "";
  if (e.indexOf("#") > -1) {
    var r = e.split("#");
    return {
      nodeType: r[0],
      label: r[1]
    };
  }
  return {
    nodeType: e,
    label: "节点"
  };
};

exports.transferDropData = transferDropData;

var commonAddNode = function(e) {
  var r = e.eleType;
  return {
    config: {
      label: e.labelValue,
      type: "giot" === r ? "source" : "both",
      nodeType: r,
      style: _objectSpread({}, e.position)
    },
    id: _amosJsplumb.tools.uuid()
  };
};

exports.commonAddNode = commonAddNode;