"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosIcon = _interopRequireDefault(require("amos-icon")), _amosAntd = require("amos-antd"), _classnames = _interopRequireDefault(require("classnames"));

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, n = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var o in e) if ("default" !== o && Object.prototype.hasOwnProperty.call(e, o)) {
    var u = n ? Object.getOwnPropertyDescriptor(e, o) : null;
    u && (u.get || u.set) ? Object.defineProperty(a, o, u) : a[o] = e[o];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var n = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, n);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var footerSpans = [ {
  key: "f1",
  style: {
    backgroundColor: "#00bbd3"
  }
}, {
  key: "f2",
  style: {
    backgroundColor: "#8ac249"
  }
}, {
  key: "f3",
  style: {
    backgroundColor: "#fc0"
  }
}, {
  key: "f4",
  style: {
    backgroundColor: "#e6564a"
  }
} ], BackgroundItem = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r() {
    return (0, _classCallCheck2.default)(this, r), t.apply(this, arguments);
  }
  return (0, _createClass2.default)(r, [ {
    key: "render",
    value: function() {
      var e = this.props, t = e.bkImg, r = e.name, a = e.bgColor, n = void 0 === a ? "transparent" : a, o = e.skinUse, u = e.onThemeChange, l = e.imgName, c = (0, 
      _classnames.default)("bk-item", {
        normal: !o,
        used: o
      });
      return _react.default.createElement("div", {
        className: c,
        onClick: function(e) {
          return u(e, t, l);
        }
      }, _react.default.createElement("img", {
        src: t,
        alt: ""
      }), _react.default.createElement("div", {
        className: "bk-name",
        style: {
          backgroundColor: n
        }
      }, _react.default.createElement(_amosAntd.Popover, {
        placement: "top",
        content: r
      }, _react.default.createElement("label", null, r))), _react.default.createElement("div", {
        className: "bk-footer"
      }, footerSpans.map((function(e) {
        return _react.default.createElement("span", {
          key: e.key,
          style: e.style
        });
      }))), _react.default.createElement("div", {
        className: "bk-check",
        style: {
          backgroundColor: n
        }
      }, "选用皮肤"), _react.default.createElement("div", {
        className: "bk-use",
        style: {
          display: o ? "block" : "none"
        }
      }, _react.default.createElement(_amosIcon.default, {
        icon: "xuanzhong"
      }), "使用中"));
    }
  } ]), r;
}(_react.Component);

BackgroundItem.displayName = "BackgroundItem", BackgroundItem.propTypes = {
  bkImg: _propTypes.default.string,
  name: _propTypes.default.string,
  bgColor: _propTypes.default.string,
  skinUse: _propTypes.default.bool,
  onThemeChange: _propTypes.default.func,
  imgName: _propTypes.default.string
}, BackgroundItem.defaultProps = {
  skinUse: !1
};

var _default = BackgroundItem;

exports.default = _default;