"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _amosIcon = _interopRequireDefault(require("amos-icon")), _amosFramework = require("amos-framework"), _amosAntd = require("amos-antd"), _urlConsts = require("./../../../../consts/urlConsts"), _BackgroundItem = _interopRequireDefault(require("./BackgroundItem")), _topoService = require("./../../../../services/topoService");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var i = {}, a = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var o = a ? Object.getOwnPropertyDescriptor(e, n) : null;
    o && (o.get || o.set) ? Object.defineProperty(i, n, o) : i[n] = e[n];
  }
  return i.default = e, r && r.set(e, i), i;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, i = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var a = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(i, arguments, a);
    } else r = i.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var ChooseBackgroundPanel = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var i;
    return (0, _classCallCheck2.default)(this, r), i = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(i), "onClick", (function() {
      i.setState({
        visible: !0
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "onThemeChange", (function(e, t, r) {
      i.props.chooseBackground(r), i.setState({
        selectedImgName: r
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "getAllBackgrounds", (function() {
      var e = [], t = i.state.imgFiles, r = i.props.defaultImgName;
      return t && t.map((function(t) {
        var a, n = "".concat(_urlConsts.OltSerUrl.fetchDeviceImg, "/org/").concat(t.uid);
        a = void 0 === i.state.selectedImgName ? t.uid === r : t.uid === i.state.selectedImgName, 
        e.push(_react.default.createElement(_BackgroundItem.default, {
          name: t.name,
          bkImg: n,
          skinUse: a,
          onThemeChange: i.onThemeChange,
          imgName: t.uid
        }));
      })), e;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "fetchImgData", (function(e) {
      e && (0, _topoService.fetchSimpleOrgImgsAction)(e).then((function(e) {
        i.setState({
          imgFiles: e.imgFiles
        });
      }));
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handCancel", (function() {
      i.setState({
        visible: !1
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(i), "handSubmit", (function() {
      var e = {
        id: i.props.subviewId,
        imgName: i.state.selectedImgName
      };
      (0, _topoService.editSubviewImgAction)(e).then((function(e) {
        _amosFramework.message.success("操作成功"), i.setState({
          visible: !1
        });
      }));
    })), i.state = {
      visible: !1,
      imgFiles: []
    }, i;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillMount",
    value: function() {}
  }, {
    key: "componentDidMount",
    value: function() {
      this.fetchImgData(this.props.orgCode);
    }
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {
      this.props.orgCode !== e.orgCode && this.fetchImgData(e.orgCode);
    }
  }, {
    key: "render",
    value: function() {
      return _react.default.createElement("div", {
        className: "choose-view",
        onClick: this.onClick,
        title: "选择背景"
      }, _react.default.createElement("div", {
        className: "choose-img-icon",
        title: "选择背景"
      }, _react.default.createElement(_amosIcon.default, {
        icon: "picture1"
      })), _react.default.createElement(_amosAntd.Modal, {
        maskClosable: !1,
        title: "选择背景",
        closable: !0,
        visible: this.state.visible,
        onCancel: this.handCancel,
        onOk: this.handSubmit,
        width: 416
      }, _react.default.createElement("div", {
        className: "choose-content"
      }, this.getAllBackgrounds())));
    }
  } ]), r;
}(_react.Component);

ChooseBackgroundPanel.displayName = "ChooseBackgroundPanel", ChooseBackgroundPanel.propTypes = {
  orgCode: _propTypes.default.string,
  subviewId: _propTypes.default.string,
  chooseBackground: _propTypes.default.func,
  defaultImgName: _propTypes.default.string
};

var _default = ChooseBackgroundPanel;

exports.default = _default;