"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _permission = require("amos-processor/lib/config/permission"), _AmosGridTable = _interopRequireDefault(require("./../../common/tableComponent/table/AmosGridTable")), _AddUser = _interopRequireDefault(require("./AddUser")), _EditUser = _interopRequireDefault(require("./EditUser")), _DelUser = _interopRequireDefault(require("./DelUser")), _StartUser = _interopRequireDefault(require("./StartUser")), _StopUser = _interopRequireDefault(require("./StopUser")), _EditPasswordContainer = _interopRequireDefault(require("./EditPasswordContainer")), _tableConf = require("./tableConf");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, s = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var l in e) if ("default" !== l && Object.prototype.hasOwnProperty.call(e, l)) {
    var u = s ? Object.getOwnPropertyDescriptor(e, l) : null;
    u && (u.get || u.set) ? Object.defineProperty(a, l, u) : a[l] = e[l];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var s = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, s);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var UserMgmt = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "getSelectedRows", (function(e, t) {
      a.setState({
        selectedRows: e,
        selectedRowKeys: t
      });
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "addButtons", (function() {
      var e = [], t = a.state.reload;
      return e.push(_react.default.createElement(_AddUser.default, (0, _extends2.default)({
        text: "新增",
        reload: t
      }, a.props))), e.push(_react.default.createElement(_EditUser.default, (0, _extends2.default)({
        text: "编辑",
        reload: t,
        selectRows: a.state.selectedRows
      }, a.props))), e.push(_react.default.createElement(_DelUser.default, (0, _extends2.default)({
        text: "删除",
        reload: t,
        selectRows: a.state.selectedRows
      }, a.props))), e.push(_react.default.createElement(_StartUser.default, (0, _extends2.default)({
        text: "启用",
        reload: t,
        selectRows: a.state.selectedRows
      }, a.props))), e.push(_react.default.createElement(_StopUser.default, (0, _extends2.default)({
        text: "禁用",
        reload: t,
        selectRows: a.state.selectedRows
      }, a.props))), e.push(_react.default.createElement(_EditPasswordContainer.default, (0, 
      _extends2.default)({
        text: "修改密码",
        reload: t,
        selectRows: a.state.selectedRows
      }, a.props))), e;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "reload", (function(e) {
      a.setState({
        reload: function() {
          e(), a.setState({
            selectedRows: [],
            selectedRowKeys: []
          });
        }
      }, e());
    })), a.state = {
      selectedRows: [],
      selectedRowKeys: [],
      searchColList: [],
      reload: function() {},
      columns: _tableConf.userColumns
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentWillReceiveProps",
    value: function(e) {
      e.needRefreshTable && this.state.reload();
    }
  }, {
    key: "render",
    value: function() {
      var e = this.props, t = e.userTableAction, r = e.dataList, a = e.totals;
      return _react.default.createElement("div", {
        className: "table-mgmt-content user-mgmt-table"
      }, _react.default.createElement(_AmosGridTable.default, {
        selectedRowKeys: this.state.selectedRowKeys,
        totals: a,
        dataList: r,
        getTableDataAction: t,
        columns: this.state.columns,
        callBack: this.reload,
        operBtns: this.addButtons(),
        getSelectedRows: this.getSelectedRows
      }));
    }
  } ]), r;
}(_react.Component);

UserMgmt.displayName = "UserMgmt", UserMgmt.propTypes = {
  userTableAction: _propTypes.default.func,
  dataList: _propTypes.default.array,
  totals: _propTypes.default.number
};

var _default = UserMgmt;

exports.default = _default;