"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault"), _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireWildcard(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _echarts = require("amos-viz/lib/echarts"), _amosReactRouter = require("amos-react-router"), _rayEventpool = require("ray-eventpool"), _EquipInterfaceData = require("./chartData/EquipInterfaceData"), _intfcService = require("./../../../../services/intfcService"), _nodeConf = require("./modelConf/nodeConf");

function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var t = new WeakMap, r = new WeakMap;
  return (_getRequireWildcardCache = function(e) {
    return e ? r : t;
  })(e);
}

function _interopRequireWildcard(e, t) {
  if (!t && e && e.__esModule) return e;
  if (null === e || "object" !== _typeof(e) && "function" != typeof e) return {
    default: e
  };
  var r = _getRequireWildcardCache(t);
  if (r && r.has(e)) return r.get(e);
  var a = {}, i = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var n in e) if ("default" !== n && Object.prototype.hasOwnProperty.call(e, n)) {
    var u = i ? Object.getOwnPropertyDescriptor(e, n) : null;
    u && (u.get || u.set) ? Object.defineProperty(a, n, u) : a[n] = e[n];
  }
  return a.default = e, r && r.set(e, a), a;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, a = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(a, arguments, i);
    } else r = a.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

var num = 20, EquipInterface = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var a;
    return (0, _classCallCheck2.default)(this, r), a = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(a), "eConsole", (function(e) {
      var t = e.dataIndex;
      a.jumpTrigger(), 0 === t ? _amosReactRouter.browserHistory.push("/main/monitor/deviceCustom/deviceInterface") : 2 === t && _amosReactRouter.browserHistory.push("/main/monitor/deviceCustom/deviceInterface?activeKey=2");
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(a), "jumpTrigger", (function() {
      _rayEventpool.PubSub.publish(_nodeConf.STATICTICS_JUMP_TOPIC.trigger, {
        childkey: "10",
        parentKey: "9"
      });
    })), a.state = {
      count: 0,
      pubCount: 0,
      priCount: 0
    }, a;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      var e = this;
      (0, _intfcService.countIntfcInfoAction)().then((function(t) {
        e.setState({
          count: t.count,
          pubCount: t.pubCount,
          priCount: t.priCount
        });
      }));
    }
  }, {
    key: "render",
    value: function() {
      var e = this, t = this.state, r = t.count, a = t.pubCount, i = t.priCount, n = [], u = {
        type: "click",
        handler: this.eConsole
      };
      n.push(u);
      var o = _EquipInterfaceData.option;
      return o.series[0].data[0].value = a, o.series[0].data[1].value = r / num, o.series[0].data[2].value = i, 
      o.series[0].data[3].value = r / num, _react.default.createElement("div", {
        className: "overview-item-chart"
      }, _react.default.createElement("div", {
        className: "overview-prototypeequip-chart"
      }, _react.default.createElement(_echarts.PieChart, {
        pieOps: o,
        chartStyle: {
          width: "100%",
          height: "82px"
        },
        eventpool: n
      })), _react.default.createElement("div", {
        className: "overview-prototypeequip-item title"
      }, _react.default.createElement("p", {
        className: "value"
      }, r), _react.default.createElement("p", {
        className: ""
      }, "总数")), _react.default.createElement("div", {
        className: "overview-prototypeequip-item first"
      }, _react.default.createElement("p", {
        className: "value",
        onClick: function(t) {
          return e.eConsole({
            dataIndex: 0
          }, t);
        }
      }, a), _react.default.createElement("p", {
        className: ""
      }, _react.default.createElement("span", null), "公开通信方式")), _react.default.createElement("div", {
        className: "overview-prototypeequip-item second"
      }, _react.default.createElement("p", {
        className: "value",
        onClick: function(t) {
          return e.eConsole({
            dataIndex: 2
          }, t);
        }
      }, i), _react.default.createElement("p", {
        className: ""
      }, _react.default.createElement("span", null), "私有通信方式")));
    }
  } ]), r;
}(_react.Component);

EquipInterface.displayName = "EquipInterface";

var _default = EquipInterface;

exports.default = _default;